-------------------------------------------------------------------------------
-- LoreBooks Data v1.5.6
-------------------------------------------------------------------------------
--
-- Copyright (c) 2014, 2015 Ales Machat (Garkin)
--
-- Permission is hereby granted, free of charge, to any person
-- obtaining a copy of this software and associated documentation
-- files (the "Software"), to deal in the Software without
-- restriction, including without limitation the rights to use,
-- copy, modify, merge, publish, distribute, sublicense, and/or sell
-- copies of the Software, and to permit persons to whom the
-- Software is furnished to do so, subject to the following
-- conditions:
--
-- The above copyright notice and this permission notice shall be
-- included in all copies or substantial portions of the Software.
--
-- THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
-- EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
-- OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
-- NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
-- HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
-- WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
-- FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
-- OTHER DEALINGS IN THE SOFTWARE.
--
-------------------------------------------------------------------------------
--
-- DISCLAIMER:
--
-- This Add-on is not created by, affiliated with or sponsored by ZeniMax
-- Media Inc. or its affiliates. The Elder Scrolls and related logos are
-- registered trademarks or trademarks of ZeniMax Media Inc. in the United
-- States and/or other countries. All rights reserved.
--
-- You can read the full terms at:
-- https://account.elderscrollsonline.com/add-on-terms
--
-------------------------------------------------------------------------------

local lorebooksData = {}
-- GetLoreBookInfo(categoryID, collectionID, bookID)
-- categoryID seems to be always 1, so storing the rest

-- GetUnitAlliance("player")
-- ALLIANCE_ALDMERI_DOMINION = 1
-- ALLIANCE_EBONHEART_PACT = 2
-- ALLIANCE_DAGGERFALL_COVENANT = 3

-- format: locX, locY, collectionID, bookID, alliance, moreInfo
--  alliance:
--     nil or false = book is not alliance specific
--     1 = Aldmeri Dominion
--     2 = Ebonheart Pact
--     3 = Daggerfall Covenant
--  moreInfo:
--     nil or false = default
--     1 = on town map
--     2 = in delve
--     3 = in public dungeon
--     4 = under ground
--     5 = group instance
lorebooksData["alikr"] = {
   ["alikr_base"] = {
      --Alik'r Desert Lore
      { 0.109, 0.493, 5, 1 }, --Redguards, History and Heroes, V. 1     --Kodiak
      { 0.066, 0.519, 5, 1 },
      { 0.022, 0.506, 5, 1 },
      { 0.058, 0.466, 5, 1 },          --Kodiak
      { 0.587, 0.493, 5, 2 }, --Redguards, History and Heroes, V. 2
      { 0.605, 0.481, 5, 2 },          --bug #335
      { 0.651, 0.497, 5, 2 },          --bug #819
      { 0.632, 0.483, 5, 2 },          --bug #820
      { 0.861, 0.304, 5, 3 }, --Redguards, History and Heroes, V. 3
      { 0.903, 0.337, 5, 3 },          --Kodiak
      { 0.846, 0.312, 5, 3 },          --bug #844
      { 0.895, 0.305, 5, 3 },
      { 0.414, 0.520, 5, 4 }, --Tu'whacca's Prayer
      { 0.387, 0.540, 5, 4 },
      { 0.461, 0.548, 5, 4 },
      { 0.502, 0.483, 5, 4 },          --PM on reddit
      { 0.561, 0.680, 5, 5, false, 1 }, --Varieties of Faith, Crown Redguards
      { 0.497, 0.661, 5, 5, false, 1 },  --Kodiak
      { 0.497, 0.688, 5, 5, false, 1 },
      { 0.544, 0.649, 5, 5, false, 1 },
      { 0.140, 0.445, 5, 6, false, 1 }, --Varieties of Faith, The Forebears
      { 0.207, 0.430, 5, 6, false, 1 },
      { 0.178, 0.380, 5, 6, false, 1 },
      { 0.158, 0.472, 5, 6, false, 1 },
      { 0.79, 0.24, 5, 7 }, --Motalion Necropolis Report
      { 0.788, 0.300, 5, 7 },          --Kodiak
      { 0.824, 0.221, 5, 7 },          --bug #765
      { 0.790, 0.208, 5, 7 },          --addon comment
      { 0.210, 0.685, 5, 8 }, --The Salas En Expedition  --Kodiak
      { 0.226, 0.685, 5, 8 },          --Kodiak
      { 0.192, 0.734, 5, 8 },          --Kodiak, bug #765
      { 0.197, 0.709, 5, 8 },          --Kodiak
      { 0.218, 0.451, 5, 9, false, 1 }, --Sentinel, the Jewel of Alik'r
      { 0.208, 0.423, 5, 9, false, 1 },
      { 0.267, 0.440, 5, 9, false, 1 },
      { 0.264, 0.505, 5, 9, false, 1 },
      { 0.27, 0.67, 5, 10 }, --Sacrilege and Mayhem in the Alik'r
      { 0.260, 0.723, 5, 10 },         --Kodiak
      { 0.297, 0.713, 5, 10 },         --Kodiak
      { 0.331, 0.730, 5, 10 },         --bug #814
      --Daedric Princes
      { 0.27, 0.45, 8, 7, 3, 1 }, --Opusculus Lamae Bal ta Mezzamortie
      { 0.231, 0.400, 8, 7, 3 },       --bug #512
      { 0.256, 0.396, 8, 7, 3 },
      { 0.570, 0.394, 8, 8, 3 }, --The Totems of Hircine, bug #940
      { 0.616, 0.376, 8, 8, 3 },       --bug #716
      { 0.570, 0.384, 8, 8, 3 },       --PM on reddit
      --Dwemer
      { 0.178, 0.578, 12, 10, 3, 2 }, --Ancient Scrolls of the Dwemer I-B
      { 0.137, 0.515, 12, 10, 3 },     --bug #440
      { 0.172, 0.544, 12, 10, 3 },     --Kodiak
      { 0.168, 0.528, 12, 10, 3 },     --Kodiak
      { 0.621, 0.644, 12, 11, 3 }, --Guylaine's Dwemer Architecture  --Kodiak
      { 0.602, 0.592, 12, 11, 3 },     --Kodiak
      { 0.635, 0.608, 12, 11, 3 },     --Kodiak
      { 0.957, 0.524, 12, 12, 3, 2 }, --Ancient Scrolls of the Dwemer VIII
      { 0.925, 0.495, 12, 12, 3 },     --Kodiak
      { 0.928, 0.577, 12, 12, 3 },     --Kodiak
      { 0.938, 0.535, 12, 12, 3 },     --bug #416
      --Legends of Nirn
      { 0.818, 0.584, 13, 1, 3 }, --An Accounting of the Elder Scrolls --bug #416
      { 0.738, 0.540, 13, 1, 3 },      --Kodiak
      { 0.818, 0.599, 13, 1, 3 },      --bug #544
      { 0.495, 0.401, 13, 2, 3 }, --The Adabal-a      --bug #335
      { 0.464, 0.437, 13, 2, 3 },      --Kodiak
      { 0.472, 0.364, 13, 2, 3 },
      { 0.78, 0.45, 13, 3, 3, 1 }, --The Amulet of Kings --bug #416
      { 0.803, 0.454, 13, 3, 3, 1 },   --Kodiak
      { 0.809, 0.432, 13, 3, 3, 1 },   --Kodiak
      { 0.42, 0.72, 13, 4, 3 }, --The Cleansing of the Fane
      { 0.383, 0.717, 13, 4, 3 },      --Kodiak
      { 0.388, 0.718, 13, 4, 3 },      --bug #942
      { 0.363, 0.727, 13, 4, 3 },      --bug #643
      { 0.223, 0.576, 13, 5, 3 }, --The Exclusionary Mandates     --Kodiak
      { 0.278, 0.619, 13, 5, 3 },      --Kodiak
      { 0.235, 0.643, 13, 5, 3 },      --Kodiak
      { 0.186, 0.586, 13, 5, 3 },      --bug #1088
      { 0.682, 0.596, 13, 6, 3 }, --The Last King of the Ayleids
      { 0.698, 0.647, 13, 6, 3 },      --Kodiak
      { 0.675, 0.557, 13, 6, 3 },      --Kodiak
      { 0.891, 0.497, 13, 7, 3 }, --The Order of the Ancestor Moth
      { 0.439, 0.632, 13, 8, 3 }, --Tamrielic Artifacts, Part One    --Kodiak
      { 0.402, 0.647, 13, 8, 3 },      --Kodiak
      { 0.428, 0.578, 13, 8, 3 },      --Kodiak
      { 0.877, 0.592, 13, 9, 3, 2 }, --Tamrielic Artifacts, Part Two
      { 0.891, 0.577, 13, 9, 3 },      --bug #265
      { 0.845, 0.504, 13, 9, 3 },      --bug #774
      { 0.492, 0.556, 13, 10, 3 }, --Tamrielic Artifacts, Part Three --bug #335
      { 0.532, 0.553, 13, 10, 3 },     --Kodiak
      { 0.499, 0.544, 13, 10, 3 },     --bug #606
      --Literature
      { 0.256, 0.433, 14, 4, 3, 1 }, --The Lusty Argonian Maid, Volume 2
      --Poetry and Songs
      { 0.52, 0.42, 18, 1, 3 }, --The Battle of Glenumbria Moors
      { 0.55, 0.391, 18, 1, 3, 4 },
      { 0.564, 0.418, 18, 1, 3 },      --Kodiak
      { 0.583, 0.425, 18, 1, 3 },      --bug #1088
      { 0.695, 0.363, 18, 2, 3 }, --The Book of Dawn and Dusk  --Kodiak
      { 0.667, 0.326, 18, 2, 3, 2 },
      { 0.623, 0.358, 18, 2, 3, 2 },   --Kodiak
      { 0.60, 0.34, 18, 2, 3 },
      { 0.331, 0.427, 18, 3, 3 }, --The Cantatas of Vivec
      { 0.293, 0.407, 18, 3, 3 },      --bug #692, 755
      { 0.311, 0.464, 18, 3, 3 },      --bug #830
      { 0.718, 0.456, 18, 4, 3 }, --The Five Far Stars   --bug #335
      { 0.635, 0.424, 18, 4, 3 },      --bug #433
      { 0.719, 0.529, 18, 4, 3 },      --Kodiak
      { 0.563, 0.322, 18, 5, 3 }, --Flesh to Cut from Bone  --bug #335
      { 0.556, 0.311, 18, 5, 3 },      --Kodiak
      { 0.570, 0.211, 18, 5, 3 },      --bug #1071
      { 0.37, 0.52, 18, 6, 3 }, --Ode to the Tundrastriders
      { 0.355, 0.547, 18, 6, 3 },      --bug #296
      { 0.308, 0.512, 18, 6, 3 },      --Kodiak
      { 0.31, 0.55, 18, 6, 3, 4 },
      --Dungeon Lore
      { 0.925, 458, 11, 2, false, 5 }, --What is Volendrung?
   },
   ["sentinel_base"] = {
      --Alik'r Desert Lore
      { 0.103, 0.459, 5, 6 }, --Varieties of Faith, The Forebears
      { 0.387, 0.398, 5, 6 },
      { 0.264, 0.187, 5, 6 },       --bug #378
      { 0.179, 0.572, 5, 6 },       --bug #813
      { 0.436, 0.483, 5, 9 }, --Sentinel, the Jewel of Alik'r
      { 0.391, 0.577, 5, 9 },
      { 0.630, 0.715, 5, 9 },
      { 0.640, 0.437, 5, 9 },       --bug #812
      --Daedric Princes
      { 0.646, 0.472, 8, 7, 3, 4 }, --Opusculus Lamae Bal ta Mezzamortie --bug #295
      { 0.439, 0.148, 8, 7, 3 },    --bug #1181
      --Literature
      { 0.598, 0.413, 14, 4, 3 }, --The Lusty Argonian Maid, Volume 2
      --Poetry and Songs
      { 0.828, 0.542, 18, 3, 3 }, --The Cantatas of Vivec      --bug #643
      { 0.819, 0.747, 18, 6, 3 }, --Ode to the Tundrastriders  --bug #860
   },
   ["bergama_base"] = {
      --Alik'r Desert Lore
      { 0.259, 0.607, 5, 5 }, --Varieties of Faith, Crown Redguards
      { 0.679, 0.558, 5, 5 },
      { 0.262, 0.434, 5, 5 },       --Kodiak
      { 0.569, 0.351, 5, 5 },       --bug #818
   },
   ["kozanset_base"] = {
      --Legends of Nirn
      { 0.412, 0.481, 13, 3, 3 }, --The Amulet of Kings  --bug #416
      { 0.637, 0.376, 13, 3, 3 },   --bug #867
      { 0.586, 0.696, 13, 3, 3 },   --bug #1088
   },
   ["smugglerkingtunnel_base"] = {
      { 0.433, 0.455, 5, 3 }, --Redguards, History and Heroes, V. 3
   },
   ["aldunz_base"] = {
      --Dwemer
      { 0.194, 0.743, 12, 11, 3 }, --Guylaine's Dwemer Architecture     --Update 5
   },
   ["santaki_base"] = {
      --Dwemer
      { 0.710, 0.792, 12, 10, 3 }, --Ancient Scrolls of the Dwemer I-B  --Update 5
   },
   ["yldzuun_base"] = {
      --Dwemer
      { 0.627, 0.291, 12, 12, 3 }, --Ancient Scrolls of the Dwemer VIII --Update 5
   },
   ["sandblownmine_base"] = {
      --Legends of Nirn
      { 0.669, 0.446, 13, 9, 3 }, --Tamrielic Artifacts, Part Two       --Update 5
   },
   ["coldrockdiggings_base"] = {
      --Poetry and Song
      { 0.808, 0.438, 18, 2, 3 }, --The Book of Dawn and Dusk           --Update 5
   },
   ["divadschagrinmine_base"] = {
      --Legends of Nirn
      { 0.418, 0.698, 13, 8, 3 }, --Tamrielic Artifacts, Part One       --Update 5
   },
   ["volenfell_base"] = {
      --Dungeon Lore
      { 0.141, 0.441, 11, 2, false, 5 }, --What is Volendrung?
   },
}

lorebooksData["auridon"] = {
   ["auridon_base"] = {
      --Auridon Lore
      { 0.349, 0.115, 25, 1 }, --Crimes of the Daggerfall Covenant
      { 0.341, 0.152, 25, 1 },
      { 0.295, 0.098, 25, 1 },
      { 0.324, 0.062, 25, 1 },
      { 0.381, 0.244, 25, 2 }, --Regarding the Ebonheart Pact
      { 0.354, 0.268, 25, 2 },
      { 0.364, 0.306, 25, 2 },
      { 0.369, 0.203, 25, 2 },
      { 0.420, 0.312, 25, 3 }, --The Lay of Firsthold
      { 0.451, 0.323, 25, 3 },
      { 0.407, 0.366, 25, 3 },
      { 0.452, 0.363, 25, 3 },
      { 0.525, 0.303, 25, 4 }, --Varieties of Faith: The High Elves
      { 0.590, 0.249, 25, 4 },
      { 0.497, 0.278, 25, 4 },
      { 0.601, 0.456, 25, 5 }, --Why Don the Veil?
      { 0.535, 0.451, 25, 5 },
      { 0.566, 0.436, 25, 5 },
      { 0.562, 0.476, 25, 5 },
      { 0.246, 0.287, 25, 6 }, --Fang of the Sea Vipers
      { 0.232, 0.239, 25, 6 },
      { 0.216, 0.286, 25, 6 },
      { 0.187, 0.234, 25, 6 },
      { 0.526, 0.178, 25, 7 }, --The Rise of Queen Ayrenn
      { 0.520, 0.213, 25, 7 },
      { 0.543, 0.249, 25, 7 },
      { 0.553, 0.183, 25, 7 },
      { 0.28, 0.16, 25, 8, false, 1 }, --Kinlord Rilis and the Mages Guild
      { 0.473, 0.167, 25, 9 }, --Life in the Eagle's Shadow
      { 0.423, 0.205, 25, 9 },
      { 0.387, 0.148, 25, 9 },
      { 0.440, 0.125, 25, 9 },
      { 0.280, 0.380, 25, 10 }, --Thalmor Handbill
      { 0.329, 0.330, 25, 10 },
      { 0.242, 0.358, 25, 10 },
      { 0.327, 0.374, 25, 10 },
      --Daedric Princes
      { 0.497, 0.436, 8, 1, 1 }, --Aedra and Daedra
      { 0.511, 0.398, 8, 1, 1 },
      { 0.472, 0.372, 8, 1, 1 },
      { 0.502, 0.337, 8, 1, 1 },
      { 0.401, 0.646, 8, 2, 1 }, --Boethiah's Proving
      { 0.396, 0.682, 8, 2, 1 },
      { 0.429, 0.700, 8, 2, 1 },
      { 0.451, 0.683, 8, 2, 1 },
      --Biographies
      { 0.627, 0.330, 9, 1, 1 }, --Galerion the Mystic
      { 0.620, 0.312, 9, 1, 1 },
      { 0.671, 0.304, 9, 1, 1 },
      { 0.578, 0.327, 9, 1, 1 },
      { 0.636, 0.395, 9, 2, 1 }, --Great Harbingers of the Companions
      { 0.588, 0.379, 9, 2, 1 },
      { 0.615, 0.428, 9, 2, 1 },
      { 0.642, 0.432, 9, 2, 1 },
      { 0.802, 0.514, 9, 3, 1 }, --The Illusion of Death
      { 0.800, 0.486, 9, 3, 1 },
      { 0.831, 0.498, 9, 3, 1 },
      { 0.710, 0.550, 9, 4, 1, 1 }, --Jorunn the Skald-King
      { 0.682, 0.522, 9, 4, 1 },
      { 0.579, 0.532, 9, 5, 1 }, --Triumphs of a Monarch, Ch. 3
      { 0.626, 0.561, 9, 5, 1 },
      { 0.561, 0.504, 9, 5, 1 },
      { 0.599, 0.489, 9, 5, 1 },       --bug #577
      { 0.552, 0.530, 9, 6, 1 }, --Triumphs of a Monarch, Ch. 6
      { 0.559, 0.592, 9, 6, 1 },
      { 0.565, 0.558, 9, 6, 1 },
      { 0.521, 0.547, 9, 6, 1 },
      { 0.499, 0.547, 9, 7, 1 }, --Triumphs of a Monarch, Ch. 10
      { 0.457, 0.518, 9, 7, 1 },
      { 0.447, 0.554, 9, 7, 1 },
      { 0.518, 0.499, 9, 7, 1 },
      { 0.499, 0.575, 9, 8, 1 }, --Trials of St. Alessia
      { 0.545, 0.640, 9, 8, 1 },
      { 0.522, 0.602, 9, 8, 1 },
      { 0.491, 0.610, 9, 8, 1 },
      --Divines and Deities
      { 0.599, 0.590, 10, 1, 1 }, --The Anuad Paraphrased
      { 0.663, 0.636, 10, 1, 1 },
      { 0.569, 0.638, 10, 1, 1 },
      { 0.631, 0.601, 10, 1, 1 },
      { 0.504, 0.647, 10, 2, 1 }, --The Lunar Lorkhan
      { 0.460, 0.655, 10, 2, 1 },
      { 0.446, 0.624, 10, 2, 1 },
      { 0.492, 0.671, 10, 2, 1 },
      { 0.494, 0.764, 10, 3, 1 }, --Monomyth: Dragon God & Missing God
      { 0.400, 0.739, 10, 3, 1 },
      { 0.479, 0.709, 10, 3, 1 },
      { 0.467, 0.764, 10, 3, 1 },
      --Dwemer
      { 0.554, 0.716, 12, 1, 1 }, --Ancient Scrolls of the Dwemer I-A
      { 0.533, 0.661, 12, 1, 1 },
      { 0.522, 0.693, 12, 1, 1 },
      { 0.548, 0.696, 12, 1, 1 },
      { 0.593, 0.710, 12, 2, 1 }, --Ancient Scrolls of the Dwemer II
      { 0.622, 0.719, 12, 2, 1 },
      { 0.595, 0.765, 12, 2, 1 },
      { 0.564, 0.738, 12, 2, 1 },
      { 0.682, 0.711, 12, 3, 1 }, --Ancient Scrolls of the Dwemer III
      { 0.644, 0.754, 12, 3, 1 },
      { 0.680, 0.782, 12, 3, 1 },
      { 0.673, 0.745, 12, 3, 1 },
      --Tamriel History
      { 0.682, 0.859, 19, 1, 1 }, --Ayleid Inscriptions Translated
      { 0.713, 0.825, 19, 1, 1 },
      { 0.635, 0.850, 19, 1, 1 },
      { 0.625, 0.892, 19, 1, 1, 1 },
      { 0.689, 0.912, 19, 2, 1, 1 }, --Frontier, Conquest
      { 0.578, 0.949, 19, 2, 1, 1 },
      { 0.629, 0.939, 19, 2, 1, 1 },
      { 0.610, 0.905, 19, 2, 1, 1 },
      { 0.511, 0.906, 19, 3, 1 }, --History of the Fighters Guilds Pt.1
      { 0.545, 0.855, 19, 3, 1 },
      { 0.564, 0.874, 19, 3, 1 },
      { 0.566, 0.902, 19, 3, 1, 1 },
      { 0.595, 0.847, 19, 4, 1 }, --History of the Fighters Guilds Pt.2
      { 0.622, 0.822, 19, 4, 1 },
      { 0.601, 0.794, 19, 4, 1 },
      { 0.570, 0.825, 19, 4, 1 },
      { 0.533, 0.817, 19, 5, 1 }, --Origin of the Mages Guild
      { 0.488, 0.826, 19, 5, 1 },
      { 0.563, 0.790, 19, 5, 1 },
      { 0.546, 0.774, 19, 5, 1 },
      --Dungeon Lore
      { 0.322, 0.113, 11, 7, false, 5 }, --The Binding Stone
   },
   ["firsthold_base"] = {
      --Auridon Lore
      { 0.487, 0.314, 25, 8 }, --Kinlord Rilis and the Mages Guild
      { 0.648, 0.834, 25, 8 },         --bug #1023
      { 0.734, 0.558, 25, 8 },         --bug #1200
   },
   ["skywatch_base"] = {
      --Biographies
      { 0.27, 0.051, 9, 2, 1 }, --Great Harbingers of the Companions --bug #826
      { 0.27, 0.46, 9, 4, 1 }, --Jorunn the Skald-King
      { 0.50, 0.58, 9, 4, 1 },
      { 0.54, 0.21, 9, 4, 1 },
      { 0.66, 0.73, 9, 4, 1 },
      { 0.014, 0.388, 9, 5, 1 }, --Triumphs of a Monarch, Ch. 3      --bug #939
   },
   ["vulkhelguard_base"] = {
      --Tamriel History
      { 0.508, 0.387, 19, 1, 1 }, --Ayleid Inscriptions Translated   --Update 6
      { 0.830, 0.490, 19, 2, 1 }, --Frontier, Conquest --Update 6
      { 0.529, 0.626, 19, 2, 1 },   --Update 6
      { 0.271, 0.675, 19, 2, 1 },   --Update 6
      { 0.436, 0.455, 19, 2, 1 },   --Update 6
      { 0.206, 0.437, 19, 3, 1 }, --History of the Fighters Guild Pt. 1
   },
   ["thebanishedcells_base"] = {
      --Dungeon Lore
      { 0.481, 0.838, 11, 7 }, --The Binding Stone
   }
}

lorebooksData["bangkorai"] = {
--Bangkorai (Daggerfall, lvl 37-43)
   ["bangkorai_base"] = {
      --Bangkorai Lore
      { 0.398, 0.301, 4, 1, false, 1 }, --The Legend of Fallen Grotto
      { 0.414, 0.417, 4, 1, false, 1 },
      { 0.386, 0.368, 4, 1, false, 1 },
      { 0.390, 0.393, 4, 1, false, 1 },          --bug #847
      { 0.501, 0.355, 4, 2 }, --Living with Lycanthropy  --bug #382
      { 0.504, 0.391, 4, 2 },          --Kodiak
      { 0.555, 0.407, 4, 2 },          --bug #861
      { 0.627, 0.358, 4, 3 }, --Bangkorai, Shield of High Rock
      { 0.557, 0.367, 4, 3 },          --bug #622
      { 0.612, 0.321, 4, 3 },          --bug #799
      { 0.592, 0.402, 4, 3 },          --bug #856
      { 0.562, 0.215, 4, 4 }, --The Posting of the Hunt  --bug #382
      { 0.548, 0.259, 4, 4 },          --bug #734
      { 0.586, 0.291, 4, 4 },          --bug #854
      { 0.613, 0.265, 4, 4 },          --bug #858
      { 0.472, 0.336, 4, 5 }, --Aspects of Lord Hircine
      { 0.472, 0.226, 4, 5 },
      { 0.452, 0.282, 4, 5 },          --Kodiak
      { 0.528, 0.322, 4, 5 },          --bug #716
      { 0.359, 0.216, 4, 6 }, --The Viridian Sentinel
      { 0.431, 0.201, 4, 6 },          --Kodiak
      { 0.395, 0.202, 4, 6 },          --bug #863
      { 0.546, 0.068, 4, 7 }, --The True-Told Tale of Hallin, Pt. 1 --bug #382
      { 0.467, 0.169, 4, 7 },          --Kodiak
      { 0.532, 0.165, 4, 7 },          --Kodiak
      { 0.511, 0.117, 4, 7 },          --bug #765
      { 0.690, 0.135, 4, 8 }, --The True-Told Tale of Hallin, Pt 2 --bug #382
      { 0.603, 0.140, 4, 8 },          --Kodiak
      { 0.625, 0.099, 4, 8 },          --Kodiak, bug #765
      { 0.639, 0.130, 4, 8 },          --bug #859
      { 0.627, 0.180, 4, 9 }, --A Life Barbaric and Brutal
      { 0.614, 0.152, 4, 9 },          --Kodiak
      { 0.661, 0.183, 4, 9 },          --Kodiak
      { 0.579, 0.177, 4, 9 },          --Kodiak
      { 0.625, 0.208, 4, 10 }, --The Glenmoril Wyrd   --bug #382
      { 0.653, 0.249, 4, 10 },         --Kodiak
      { 0.704, 0.207, 4, 10 },         --Kodiak
      { 0.658, 0.208, 4, 10 },         --bug #544
      --Dwemer
      { 0.678, 0.285, 12, 13, 3 }, --Dwemer Inquiries Volume I   --bug #416
      { 0.701, 0.288, 12, 13, 3 },     --Kodiak
      { 0.630, 0.434, 12, 14, 3 }, --Dwemer Inquiries Volume II
      { 0.700, 0.495, 12, 14, 3 },     --Kodiak
      { 0.655, 0.459, 12, 14, 3 },     --Kodiak
      { 0.664, 0.442, 12, 14, 3 },     --Kodiak
      { 0.627, 0.477, 12, 15, 3 }, --Dwemer Inquiries Volume III
      { 0.595, 0.532, 12, 15, 3 },     --bug #799
      { 0.573, 0.473, 12, 16, 3 }, --Ancient Scrolls of the Dwemer IV   --bug #419
      { 0.490, 0.511, 12, 16, 3 },     --Kodiak
      --Literature
      { 0.440, 0.503, 14, 1, 3 }, --The Homilies of Blessed Almalexia --bug #416
      { 0.353, 0.468, 14, 1, 3 },      --bug #939
      { 0.475, 0.458, 14, 1, 3 },      --bug #1088
      { 0.327, 0.540, 14, 2, 3 }, --The Legendary Scourge
      { 0.343, 0.593, 14, 2, 3 },      --bug #416
      { 0.450, 0.562, 14, 2, 3 },      --Kodiak
      { 0.329, 0.570, 14, 2, 3 },      --Kodiak
      { 0.25 , 0.64 , 14, 3, 3 }, --The Lusty Argonian Maid, Volume 1
      { 0.296, 0.609, 14, 3, 3 },      --bug #419
      { 0.341, 0.606, 14, 3, 3 },      --Kodiak
      { 0.304, 0.659, 14, 3, 3 },      --Kodiak
      { 0.271, 0.726, 14, 4, 3, 1 }, --The Lusty Argonian Maid, Volume 2 --Kodiak
      { 0.258, 0.701, 14, 4, 3, 1 },   --Kodiak
      { 0.273, 0.845, 14, 5, 3 }, --Myths of Sheogorath, Volume 1  --bug #415,419
      { 0.313, 0.814, 14, 5, 3 },      --Kodiak
      { 0.248, 0.879, 14, 5, 3 },      --Kodiak
      { 0.326, 0.935, 14, 6, 3 }, --Myths of Sheogorath, Volume 2
      { 0.351, 0.866, 14, 6, 3 },      --Kodiak
      { 0.376, 0.900, 14, 6, 3, 2 },   --bug #415
      { 0.394, 0.834, 14, 6, 3 },      --bug #1188
      { 0.44 , 0.88 , 14, 7, 3 }, --The Red Book of Riddles
      { 0.481, 0.923, 14, 7, 3 },      --bug #416,419
      { 0.476, 0.872, 14, 7, 3 },      --bug #606
      { 0.357, 0.747, 14, 8, 3 }, --16 Accords of Madness, Vol. VI   --bug #415
      { 0.442, 0.736, 14, 8, 3 },      --Kodiak
      { 0.394, 0.782, 14, 8, 3 },      --bug #1081
      { 0.39 , 0.35 , 14, 9, 3, 1 }, --Crow and Raven: Three Short Fables
      { 0.372, 0.681, 14, 9, 3 },      --Kodiak
      { 0.337, 0.691, 14, 9, 3 },      --addon comment
      { 0.487, 0.659, 14, 10, 3 }, --Wabbajack
      { 0.521, 0.709, 14, 10, 3 },     --Kodiak
      { 0.523, 0.673, 14, 10, 3 },     --Kodiak
      { 0.471, 0.615, 14, 10, 3 },     --Kodiak
      --Poetry and Song
      { 0.59, 0.64, 18, 7, 3 }, --Proper-Life: Three Chants
      { 0.559, 0.682, 18, 7, 3 },      --bug #419
      { 0.633, 0.723, 18, 8, 3 }, --Song of the Askelde Men
      { 0.593, 0.726, 18, 8, 3 },      --Kodiak
      { 0.595, 0.696, 18, 8, 3 },      --bug #734
      { 0.606, 0.626, 18, 9, 3 }, --The Warrior's Charge   --bug #415,416,419
      { 0.647, 0.675, 18, 9, 3 },      --Kodiak
      { 0.690, 0.682, 18, 9, 3 },      --Kodiak
      { 0.668, 0.647, 18, 9, 3 },      --Kodiak
      { 0.495, 0.569, 18, 10, 3 }, --Words of the Wind  --bug #416
      { 0.490, 0.560, 18, 10, 3 },     --addon comment
      --Dungeon Lore
      { 0.372, 0.277, 11, 13, false, 5 }, --Civility and Etiquette V. 5: Undead
   },
   ["evermore_base"] = {
      --Bangkorai Lore
      { 0.423, 0.165, 4, 1 }, --The Legend of Fallen Grotto   --bug #416
      { 0.354, 0.551, 4, 1 },          --bug #491, addon comment
      { 0.512, 0.839, 4, 1 },          --bug #848
      { 0.374, 0.697, 4, 1 },          --bug #847
      { 0.686, 0.858, 14, 1, 3 }, --The Homilies of Blessed Almalexia   --bug #716
      { 0.38, 0.43, 14, 9, 3 }, --Crow and Raven: Three Short Fables
   },
   ["onsisbreathmine_base"] = {
      --Literature
      { 0.207, 0.640, 14, 6, 3 }, --Myths of Sheogorath, Volume 2 --bug #415,416,419
   },
   ["blackhearthavenarea1_base"] = {
      --Dungeon Lore
      { 0.708, 0.486, 11, 13 }, --Civility and Etiquette V. 5: Undead  --Kodiak, bug #765
   },
   ["hallinsstand_base"] = {
      --Literature
      { 0.540, 0.376, 14, 4, 3 }, --The Lusty Argonian Maid, Volume 2 --Kodiak
      { 0.477, 0.259, 14, 4, 3 },      --Kodiak
      { 0.292, 0.574, 14, 4, 3 },      --Kodiak
   },
}

lorebooksData["coldharbor"] = {
--Coldharbour (all, lvl 45-50)
   ["coldharbour_base"] = {
      { 0.285, 0.598, 29, 1 }, --Exegesis of Merid-Nunda
      { 0.378, 0.639, 29, 1 },        --Kodiak
      { 0.32, 0.65, 29, 1 },
      { 0.328, 0.643, 29, 2 }, --The Whithering of Delodiil   --bug #418
      { 0.215, 0.612, 29, 2 },      --bug #765
      { 0.261, 0.697, 29, 2 },      --bug #697
      { 0.317, 0.822, 29, 3 }, --Chaotic Creatia: The Azure Plasm
      { 0.422, 0.739, 29, 3 },      --bug #372
      { 0.365, 0.753, 29, 3 },      --bug #763
      { 0.387, 0.670, 29, 3 },
      { 0.513, 0.690, 29, 4, false, 1 }, --I was Summoned by a Mortal
      { 0.470, 0.692, 29, 4, false, 1 },
      { 0.534, 0.657, 29, 4, false, 1 },    --Kodiak
      { 0.607, 0.717, 29, 5 }, --A Life of Strife and Struggle
      { 0.573, 0.758, 29, 5 },      --Kodiak
      { 0.582, 0.692, 29, 5 },      --bug #566, 568
      { 0.759, 0.819, 29, 6 }, --The Black Forge
      { 0.680, 0.643, 29, 6 },      --Kodiak
      { 0.710, 0.761, 29, 6 },      --Kodiak
      { 0.676, 0.700, 29, 6 },      --bug #568
      { 0.718, 0.534, 29, 7 }, --The Lightless Oubliette
      { 0.594, 0.535, 29, 7 },      --bug #381
      { 0.676, 0.572, 29, 7 },      --bug #576
      { 0.718, 0.485, 29, 7 },      --bug #697
      { 0.639, 0.462, 29, 8 }, --The Library of Dusk: Rare Books
      { 0.592, 0.407, 29, 8 },
      { 0.608, 0.451, 29, 8 },      --bug #1023
      { 0.447, 0.416, 29, 9 }, --Oath of a Dishonored Clan
      { 0.470, 0.390, 29, 9 },      --Kodiak
      { 0.539, 0.385, 29, 9 },      --bug #765
      { 0.54, 0.39, 29, 9 }, --Oath of a Dishonored Clan
      { 0.454, 0.510, 29, 10 }, --Protocols of the Court of Contempt
      { 0.569, 0.507, 29, 10 },     --bug #429
      --The Trial of Eyevea
      { 0.684, 0.806, 7, 1 }, --How the Kwama Lost His Shoes
      --Dungeon Lore
      { 0.579, 0.484, 11, 16, false, 5 }, --To All Who Pass Through  --bug #472
   },
   ["hollowcity_base"] = {
      { 0.646, 0.569, 29, 4 }, --I was Summoned by a Mortal   --bug #418
      { 0.301, 0.611, 29, 4 },      --bug #471
      { 0.836, 0.296, 29, 4 },      --Kodiak
   },
   ["vaultsofmadness1_base"] = {
      --Dungeon Lore
      { 0.16, 0.85, 11, 16 }, --To All Who Pass Through  --bug #472,473,765
   },
}


lorebooksData["cyrodiil"] = {
--Cyrodiil (all, lvl 10+)
   ["ava_whole"] = {
      --Daedric Princes
      { 0.526, 0.577, 8, 1 }, --Aedra and Daedra                     --Kodiak
      { 0.734, 0.483, 8, 3 }, --The Dreamstride                      --bug #798
      { 0.271, 0.228, 8, 4 }, --The House of Troubles                --bug #328
      { 0.721, 0.695, 18, 5, false, 2 }, --Invocation of Azura
      { 0.128, 0.385, 8, 6 }, --Modern Heretics
      { 0.267, 0.228, 8, 9 }, --Fragmentae Abyssum Hermaeus Morus    --bug #561
      { 0.339, 0.637, 8, 10 }, --The Spawn of Molag Bal              --bug #572
      --Biographies
      { 0.338, 0.285, 9, 2 }, --Great Harbingers of the Companions   --Kodiak
      { 0.422, 0.147, 9, 4, false, 2 }, --Jorunn the Skald-King
      { 0.220, 0.244, 9, 5 }, --Triumphs of a Monarch, Ch. 3         --Kodiak
      { 0.624, 0.582, 9, 7 }, --Triumphs of a Monarch, Ch. 10
      { 0.275, 0.704, 9, 8 }, --Trials of St. Alessia                --Kodiak
      { 0.293, 0.170, 9, 9 }, --The All-Beneficent King Fahara'jad
      { 0.583, 0.195, 9, 10, false, 2 }, --Ayrenn: The Unforeseen Queen
      --Divines and Deities
      { 0.754, 0.285, 10, 2 }, --The Lunar Lorkhan                   --bug #826
      { 0.759, 0.347, 10, 5, false, 2 }, --Monomyth: "Shezarr's Song"  --Kodiak
      { 0.274, 0.669, 10, 7 }, --Monomyth: The Heart of the World    --Kodiak
      { 0.213, 0.398, 10, 8 }, --Nine Commands of the Eight Divines  --Kodiak
      { 0.321, 0.373, 10, 9 }, --Gods and Worship In Tamriel
      --Dungeon Lore
      { 0.754, 0.149, 11, 2 }, --What is Volendrung?
      { 0.538, 0.810, 11, 3, false, 2 }, --The Thief God's Treasures   --bug #398,473
      { 0.381, 0.723, 11, 4 }, --War Weather                         --bug #398
      { 0.710, 0.490, 11, 5, false, 2 }, --Civility and Etiquette: Wood Orcs I --Kodiak
      { 0.608, 0.451, 11, 6 }, --The Art of Kwama Egg Cooking        --Kodiak
      { 0.355, 0.135, 11, 7, false, 2 }, --The Binding Stone           --Kodiak
      { 0.779, 0.216, 11, 9 }, --Wayrest Sewers: A Short History     --Kodiak
      { 0.714, 0.536, 11, 10 }, --To Posterity
      --Dwemer
      { 0.316, 0.563, 12, 8, false, 2 }, --Antecedents of Dwemer Law   --Kodiak
      { 0.750, 0.474, 12, 9, }, --Dwarven Automatons
      { 0.395, 0.688, 12, 10 }, --Ancient Scrolls of the Dwemer I-B  --bug #589
      { 0.260, 0.530, 12, 12 }, --Ancient Scrolls of the Dwemer VIII
      { 0.719, 0.435, 12, 14 }, --Dwemer Inquiries Volume II         --bug #798
      { 0.316, 0.172, 12, 15 }, --Dwemer Inquiries Volume III
      { 0.184, 0.459, 12, 16 }, --Ancient Scrolls of the Dwemer IV
      --Legends of Nirn
      { 0.122, 0.272, 13, 1 }, --An Accounting of the Elder Scrolls  --bug #716
      { 0.568, 0.841, 13, 1 },                                       --bug #798
      { 0.483, 0.611, 13, 1 },                                       --bug #826
      { 0.815, 0.180, 13, 1 },                                       --bug #872
      { 0.629, 0.684, 13, 2 }, --The Adabal-a
      { 0.702, 0.376, 13, 3 }, --The Amulet of Kings
      { 0.222, 0.489, 13, 4 }, --The Cleansing of the Fane           --bug #1308
      { 0.807, 0.279, 13, 5 }, --The Exclusionary Mandates
      { 0.501, 0.761, 13, 6 }, --The Last King of the Ayleids
      { 0.778, 0.204, 13, 7 }, --The Order of the Ancestor Moth
      { 0.569, 0.835, 13, 7 },                                       --bug #667
      { 0.117, 0.271, 13, 7 },                                       --bug #716
      { 0.810, 0.180, 13, 7 },                                       --bug #872
      { 0.361, 0.221, 13, 8, false, 2 }, --Tamrielic Artifacts, Part One
      { 0.363, 0.698, 13, 9, false, 2 }, --Tamrielic Artifacts, Part Two
      --Literature
      { 0.408, 0.166, 14, 1 }, --The Homilies of Blessed Almalexia
      { 0.462, 0.615, 14, 2 }, --The Legendary Scourge
      { 0.309, 0.734, 14, 3 }, --The Lusty Argonian Maid, Volume 1   --Kodiak
      { 0.807, 0.461, 14, 5, false, 2 }, --Myths of Sheogorath, Volume 1
      { 0.305, 0.663, 14, 8 }, --16 Accords of Madness, Vol. VI
      { 0.790, 0.274, 14, 9 }, --Crow and Raven: Three Short Fables
      --Magic and Magicka
      { 0.586, 0.660, 15, 1 }, --Arcana Restored
      { 0.901, 0.346, 15, 2 }, --Liminal Bridges
      { 0.673, 0.596, 15, 5, false, 2 }, --The Old Ways                --Kodiak
      { 0.455, 0.725, 15, 6, false, 2 }, --On the Detachment of the Sheath   --Kodiak
      { 0.670, 0.664, 15, 7 }, --Reality and Other Falsehoods
      { 0.278, 0.711, 15, 8 }, --Guild Memo on Soul Trapping         --Kodiak
      { 0.720, 0.425, 15, 9 }, --Wayshrines of Tamriel               --bug #614
      { 0.249, 0.550, 15, 10 }, --Proposal: Schools of Magic
      --Myths of the Mundus
      { 0.720, 0.583, 16, 5 }, --A Werewolf's Confession
      { 0.716, 0.669, 16, 6 }, --The Firmament
      { 0.809, 0.297, 16, 7 }, --The Pig Children
      { 0.587, 0.693, 16, 8 }, --Ruminations on the Elder Scrolls    --Kodiak
      { 0.289, 0.485, 16, 9, false, 2 }, --Sithis                      --Kodiak
      { 0.715, 0.533, 16, 10 }, --The Consecrations of Arkay
      --Oblivion Lore
      { 0.316, 0.247, 17, 2 }, --Darkest Darkness
      { 0.661, 0.611, 17, 3 }, --The Doors of Oblivion, Part 1       --bug #798
      { 0.807, 0.251, 17, 4, false, 2 }, --The Doors of Oblivion, Part 2  --Kodiak
      { 0.154, 0.241, 17, 5, false, 2 }, --On Oblivion                 --bug #589
      { 0.375, 0.330, 17, 6 }, --Spirit of the Daedra
      { 0.188, 0.263, 17, 7 }, --Varieties of Daedra, Part 1         --Kodiak
      { 0.613, 0.565, 17, 8 }, --Varieties of Daedra, Part 2         --bug #826
      { 0.206, 0.507, 17, 9, false, 2 }, --The Slave Pits of Coldharbour     --bug #561
      { 0.707, 0.414, 17, 10, false, 4 }, --On the Nature of Coldharbour     --addon comment
      --Poetry and Song
      { 0.647, 0.776, 18, 1 }, --The Battle of Glenumbria Moors      --Kodiak
      { 0.167, 0.373, 18, 2 }, --The Book of Dawn and Dusk
      { 0.305, 0.715, 18, 4 }, --The Five Far Stars                  --Kodiak
      { 0.503, 0.215, 18, 5, false, 2 }, --Flesh to Cut from Bone
      { 0.508, 0.822, 18, 6 }, --Ode to the Tundrastriders           --Kodiak
      { 0.719, 0.390, 18, 7 }, --Proper-Life: Three Chants
      { 0.177, 0.273, 18, 8 }, --Song of the Askelde Men
      { 0.525, 0.288, 18, 9 }, --The Warrior's Charge
      { 0.630, 0.692, 18, 10 }, --Words of the Wind
      --Tamriel History
      { 0.537, 0.809, 19, 2 }, --Frontier, Conquest
      { 0.765, 0.386, 19, 5 }, --Origin of the Mages Guild
      { 0.389, 0.404, 19, 6 }, --Eulogy for Emperor Varen            --bug #657
      { 0.837, 0.258, 19, 7 }, --House Tharn of Nibenay              --bug #614
      { 0.685, 0.690, 19, 8 }, --The Order of the Black Worm         --Kodiak
      { 0.471, 0.208, 19, 9 }, --Return to Orsinium                  --Kodiak
      { 0.306, 0.663, 19, 10 }, --The Second Akaviri Invasion
   },
   ["bloodmaynecave_base"] = {
      --Dungeon Lore
      { 0.451, 0.532, 11, 3 }, --The Thief God's Treasures           --bug #398,473
   },
   ["breakneckcave_base"] = {
      { 0.537, 0.594, 16, 9 }, --Sithis                              --Kodiak, bug #798
   },
   ["capstonecave_base"] = {
      { 0.635, 0.218, 9, 4 }, --Jorunn the Skald-King
   },
   ["crackedwoodcave_base"] = {
      { 0.345, 0.257, 15, 5 }, --The Old Ways
   },
   ["echocave_base"] = {
      { 0.664, 0.655, 11, 7 }, --The Binding Stone                   --Kodiak
   },
   ["haynotecave_base"] = {
      { 0.30, 0.43, 12, 8 }, --Antecedents of Dwemer Law             --Kodiak
   },
   ["kingscrest_base"] = {
      { 0.687, 0.753, 17, 4 }, --The Doors of Oblivion, Part 2       --Kodiak, bug #798
   },
   ["lipsandtarn_base"] = {
      --Oblivion Lore
      { 0.541, 0.394, 17, 5 }, --On Oblivion
   },
   ["muckvalleycavern_base"] = {
      { 0.226, 0.750, 11, 5 }, --Civility and Etiquette: Wood Orcs I --Kodiak & PM on reddit
   },
   ["newtcave_base"] = {
      { 0.320, 0.465, 8, 5 }, --Invocation of Azura                  --bug #798
   },
   ["nisincave_base"] = {
      --Legends of Nirn
      { 0.490, 0.425, 13, 9 }, --Tamrielic Artifacts, Part Two       --bug #589
   },
   ["potholecavern_base"] = {
      { 0.615, 0.460, 15, 6 }, --On the Detachment of the Sheath     --Kodiak, bug #798
   },
   ["quickwatercave_base"] = {
      { 0.473, 0.817, 10, 5, false, 2 }, --Monomyth: "Shezarr's Song"    --Kodiak
   },
   ["redrubycave_base"] = {
      --Biographies
      { 0.300, 0.360, 9, 10 }, --Ayrenn: The Unforeseen Queen        --bug #798
   },
   ["serpenthollowcave_base"] = {
      --Oblivion Lore
      { 0.276, 0.572, 17, 9 }, --The Slave Pits of Coldharbour       --bug #561,798 addon comment
   },
   ["toadstoolhollowlower_base"] = {
      --Poetry and Song
      { 0.908, 0.368, 18, 5 }, --Flesh to Cut from Bone
   },
   ["underpallcave_base"] = {
      { 0.311, 0.181, 13, 8 }, --Tamrielic Artifacts, Part One       --bug #840
   },
   ["vahtacen_base"] = {
      --Literature
      { 0.571, 0.642, 14, 5 }, --Myths of Sheogorath, Volume 1
   },
}

lorebooksData["deshaan"] = {
--Deshaan (Ebonheart, lvl 16-23)
   ["deshaan_base"] = {
      --Deshaan Lore
      { 0.152, 0.447, 23, 1 }, --The Living Gods
      { 0.121, 0.404, 23, 1 },
      { 0.202, 0.455, 23, 2 }, --The Judgment of Saint Veloth
      { 0.185, 0.413, 23, 2 },
      { 0.138, 0.454, 23, 2 },
      { 0.436, 0.649, 23, 3 }, --Kwama Mining for Fun and Profit
      { 0.338, 0.634, 23, 3 },
      { 0.367, 0.641, 23, 3 },
      { 0.152, 0.494, 23, 4 }, --Shad Astula Academy Handbook
      { 0.19, 0.56, 23, 4, false, 1 },
      { 0.16, 0.55, 23, 4, false, 1 },
      { 0.118, 0.565, 23, 5 }, --Dwemer Dungeons: What I Know
      { 0.138, 0.619, 23, 5 },
      { 0.126, 0.618, 23, 5 },
      { 0.226, 0.587, 23, 6 }, --Legend of the Ghost Snake
      { 0.200, 0.619, 23, 6 },
      { 0.188, 0.597, 23, 6 },
      { 0.302, 0.570, 23, 7 }, --War of Two Houses
      { 0.307, 0.621, 23, 7 },
      { 0.288, 0.597, 23, 7 },      --bug #339
      { 0.256, 0.610, 23, 7 },
      { 0.240, 0.547, 23, 8 }, --A Pocket Guide to Mournhold
      { 0.240, 0.524, 23, 8 },
      { 0.274, 0.524, 23, 8 },
      { 0.314, 0.453, 23, 9 }, --Sanctioned Murder
      { 0.395, 0.428, 23, 9 },      --bug #597
      { 0.350, 0.445, 23, 9 },      --addon comment
      { 0.244, 0.466, 23, 10 }, --Dark Ruins
      { 0.237, 0.491, 23, 10 },
      { 0.223, 0.503, 23, 10 },
      --Daedric Princes
      { 0.387, 0.620, 8, 3, 2 }, --The Dreamstride
      { 0.359, 0.582, 8, 3, 2 },
      { 0.383, 0.562, 8, 3, 2 },
      { 0.344, 0.551, 8, 3, 2 },
      { 0.442, 0.376, 8, 4, 2 }, --The House of Troubles
      { 0.427, 0.417, 8, 4, 2 },
      { 0.392, 0.382, 8, 4, 2 },
      --Divines and Deities
      { 0.572, 0.419, 10, 4, 2 }, --Monomyth: Lorkhan and Satakal
      { 0.588, 0.467, 10, 4, 2 },
      { 0.538, 0.468, 10, 4, 2 },
      { 0.609, 0.506, 10, 4, 2 },
      { 0.558, 0.562, 10, 5, 2 }, --Monomyth: "Shezarr's Song" --bug #534, #384
      { 0.506, 0.564, 10, 5, 2 },      --bug #711
      { 0.888, 0.518, 10, 6, 2 }, --Monomyth: The Myth of Aurbis
      { 0.909, 0.546, 10, 6, 2 },
      { 0.870, 0.565, 10, 6, 2 },
      { 0.845, 0.541, 10, 6, 2 },
      --Dwemer
      { 0.775, 0.475, 12, 4, 2 }, --Ancient Scrolls of the Dwemer V
      { 0.728, 0.467, 12, 4, 2 },
      { 0.753, 0.462, 12, 4, 2 },
      { 0.779, 0.441, 12, 4, 2 },
      { 0.867, 0.410, 12, 5, 2 }, --Ancient Scrolls of the Dwemer VI
      { 0.894, 0.364, 12, 5, 2 },
      { 0.835, 0.402, 12, 5, 2 },
      { 0.853, 0.380, 12, 5, 2 },
      { 0.611, 0.443, 12, 6, 2 }, --Ancient Scrolls of the Dwemer X
      { 0.650, 0.477, 12, 6, 2 },
      { 0.673, 0.451, 12, 6, 2 },
      { 0.714, 0.434, 12, 6, 2 },
      --Magic and Magicka
      { 0.405, 0.450, 15, 1, 2 }, --Arcana Restored
      { 0.404, 0.485, 15, 1, 2, 1 },
      { 0.751, 0.572, 15, 2, 2 }, --Liminal Bridges
      { 0.731, 0.512, 15, 2, 2 },
      { 0.687, 0.508, 15, 2, 2 },
      { 0.674, 0.425, 15, 3, 2 }, --Magic from the Sky
      { 0.646, 0.425, 15, 3, 2 },
      { 0.876, 0.481, 15, 4, 2 }, --Manual of Spellcraft
      { 0.865, 0.480, 15, 4, 2 },
      { 0.835, 0.449, 15, 4, 2 },
      { 0.646, 0.546, 15, 5, 2 }, --The Old Ways
      { 0.673, 0.590, 15, 5, 2 },
      { 0.656, 0.525, 15, 5, 2 },
      { 0.454, 0.532, 15, 6, 2, 1 }, --On the Detachment of the Sheath --Update 6
      { 0.494, 0.532, 15, 6, 2, 1 },      --Update 6
      { 0.407, 0.536, 15, 6, 2, 1 },      --Update 6
      { 0.815, 0.560, 15, 7, 2 }, --Reality and Other Falsehoods
      { 0.799, 0.508, 15, 7, 2 },
      { 0.788, 0.561, 15, 7, 2 },
      { 0.562, 0.391, 15, 8, 2 }, --Guild Memo on Soul Trapping
      { 0.593, 0.326, 15, 8, 2 },
      --Myths of the Mundus
      { 0.900, 0.416, 16, 1, 2 }, --Before the Ages of Man: Dawn Era
      { 0.908, 0.437, 16, 1, 2 },
      { 0.767, 0.361, 16, 2, 2 }, --Before the Ages of Man: Merethic Era
      { 0.765, 0.394, 16, 2, 2 },
      { 0.755, 0.387, 16, 2, 2 },
      { 0.630, 0.609, 16, 3, 2 }, --Ebony Blade History
      { 0.674, 0.654, 16, 3, 2 },
      { 0.100, 0.487, 16, 4, 2 }, --Noxiphilic Sanguivoria
      { 0.125, 0.497, 16, 4, 2 },
      { 0.137, 0.539, 16, 4, 2 },
      { 0.110, 0.516, 16, 4, 2 },
      { 0.516, 0.565, 16, 5, 2 }, --A Werewolf's Confession
      { 0.460, 0.614, 16, 5, 2 },
      { 0.435, 0.588, 16, 5, 2 },
      --Dungeon Lore
      { 0.790, 0.585, 11, 6, false, 5 }, --The Art of Kwama Egg Cooking
   },
   ["mournhold_base"] = {
      --Daedric Princes
      { 0.204, 0.733, 8, 3, 2 }, --The Dreamstride --Update 6
      { 0.422, 0.030, 8, 4, 2 }, --The House of Troubles --Update 6
      --Divines and Deities
      { 0.957, 0.279, 10, 4, 2 }, --Monomyth: Lorkhan and Satakal --Update 6
      { 0.801, 0.742, 10, 5, 2 }, --Monomyth: "Shezarr's Song" --Update 6
      --Magic and Magicka
      { 0.309, 0.362, 15, 1, 2 }, --Arcana Restored --Update 6
      { 0.309, 0.194, 15, 1, 2 },      --Update 6
      { 0.743, 0.587, 15, 6, 2 }, --On the Detachment of the Sheath --Update 6
      { 0.551, 0.589, 15, 6, 2 },      --Update 6
      { 0.324, 0.605, 15, 6, 2 },      --Update 6
      --Myths of the Mundus
      { 0.853, 0.748, 16, 5, 2 }, --A Werewolf's Confession --Update 6
   },
   ["narsis_base"] = {
      --Deshaan Lore
      { 0.606, 0.703, 23, 4 }, --Shad Astula Academy Handbook  --comment in bug #220
      { 0.370, 0.680, 23, 4 },
      { 0.855, 0.269, 23, 10 }, --Dark Ruins                   --bug #830
      --Myths of the Mundus
      { 0.132, 0.568, 16, 4, 2 }, --Noxiphilic Sanguivoria     --bug #830
   },
   ["darkshadecaverns_base"] = {
      --Dungeon Lore
      { 0.309, 0.222, 11, 6 }, --The Art of Kwama Egg Cooking  --bug #456
   },
}

lorebooksData["eastmarch"] = {  --check other sources
--Eastmarch (Ebonheart, lvl 31-37)
   ["eastmarch_base"] = { --check TESO Life
      --Eastmarch Lore
      { 0.50, 0.28, 22, 1, false, 1 }, --The Brothers' War
      { 0.428, 0.622, 22, 1 },
      { 0.253, 0.621, 22, 1, false, 1 },       --Kodiak
      { 0.547, 0.507, 22, 2 }, --Second Invasion: Reports   --bug #437
      { 0.559, 0.544, 22, 2 },
      { 0.579, 0.532, 22, 2 },      --bug #692
      { 0.666, 0.530, 22, 3 }, --The Ternion Monks    --bug #485
      { 0.727, 0.577, 22, 3 },      --bug #235
      { 0.626, 0.517, 22, 3 },
      { 0.691, 0.535, 22, 3 },      --bug #964
      { 0.582, 0.604, 22, 4 }, --Orcs of Skyrim
      { 0.545, 0.617, 22, 4 },      --bug #485
      { 0.557, 0.581, 22, 4 },
      { 0.555, 0.638, 22, 4 },      --Kodiak
      { 0.613, 0.601, 22, 5 }, --The Crown of Freydis
      { 0.681, 0.586, 22, 5 },
      { 0.656, 0.598, 22, 5 },      --Kodiak
      { 0.640, 0.578, 22, 5 },      --bug #687
      { 0.616, 0.568, 22, 6 }, --Spirits of Skyrim
      { 0.661, 0.561, 22, 6 },      --bug #630
      { 0.652, 0.551, 22, 6 },      --bug #964
      { 0.594, 0.577, 22, 6 },      --bug #1025
      { 0.638, 0.629, 22, 7 }, --All About Giants
      { 0.606, 0.621, 22, 7 },
      { 0.680, 0.623, 22, 7 },
      { 0.662, 0.664, 22, 7 },      --Kodiak
      { 0.716, 0.637, 22, 8 }, --The Stormfist Clan --bug #382
      { 0.687, 0.646, 22, 8 },      --bug #327
      { 0.710, 0.603, 22, 8 },
      { 0.707, 0.566, 22, 8 },      --addon comment
      { 0.784, 0.487, 22, 9 }, --On Stepping Lightly
      { 0.819, 0.515, 22, 9 },         --PM on ESOUI
      { 0.837, 0.552, 22, 9 },
      { 0.854, 0.490, 22, 9 },
      { 0.714, 0.678, 22, 10 }, --Dreamwalkers     --bug #270
      { 0.738, 0.692, 22, 10 },        --bug #270
      { 0.684, 0.689, 22, 10 },        --bug #630
      { 0.754, 0.659, 22, 10 },        --PM on ESOUI
      --Daedric Princes
      { 0.558, 0.414, 8, 7, 2 }, --Opusculus Lamae Bal ta Mezzamortie   --bug #382
      { 0.506, 0.415, 8, 7, 2 },       --bug #400
      { 0.494, 0.464, 8, 7, 2 },       --bug #536
      { 0.518, 0.431, 8, 7, 2 },       --addon comment
      { 0.157, 0.559, 8, 8, 2 }, --The Totems of Hircine                --bug #671
      { 0.164, 0.580, 8, 8, 2 },       --bug #687
      { 0.143, 0.561, 8, 8, 2 },       --bug #964
      --Divines and Deites
      { 0.564, 0.432, 10, 8, 2, 2 }, --Nine Commands of the Eight Divines --Update 5
      --Dwemer
      { 0.373, 0.277, 12, 10, 2 }, --Ancient Scrolls of the Dwemer I-B
      { 0.390, 0.248, 12, 10, 2 },     --bug #560
      { 0.393, 0.320, 12, 10, 2 },
      { 0.551, 0.263, 12, 11, 2 }, --Guylaine's Dwemer Architecture     --bug #400
      { 0.463, 0.259, 12, 11, 2, 1 },     --Kodiak
      { 0.583, 0.268, 12, 12, 2 }, --Ancient Scrolls of the Dwemer VIII --bug #400
      { 0.584, 0.241, 12, 12, 2 },     --Curse PM
      { 0.600, 0.311, 12, 12, 2 },     --bug #536
      { 0.592, 0.344, 12, 12, 2 },     --Kodiak
      --Legends of Nirn
      { 0.475, 0.363, 13, 1, 2 }, --An Accounting of the Elder Scrolls  --bug #400
      { 0.437, 0.407, 13, 1, 2 },      --bug #547
      { 0.445, 0.355, 13, 1, 2 },      --Kodiak
      { 0.413, 0.378, 13, 1, 2 },      --Kodiak
      { 0.350, 0.360, 13, 2, 2 }, --The Adabal-a            --bug #400
      { 0.384, 0.384, 13, 2, 2 },      --bug #563
      { 0.365, 0.411, 13, 2, 2 },      --Kodiak
      { 0.471, 0.332, 13, 3, 2 }, --The Amulet of Kings     --bug #327
      { 0.556, 0.293, 13, 3, 2 },      --bug #456
      { 0.525, 0.326, 13, 3, 2 },
      { 0.520, 0.360, 13, 4, 2 }, --The Cleansing of the Fane     --bug #400
      { 0.494, 0.400, 13, 4, 2 },      --Curse PM
      { 0.552, 0.355, 13, 4, 2 },      --Kodiak
      { 0.464, 0.414, 13, 4, 2 },      --Kodiak
      { 0.417, 0.430, 13, 5, 2 }, --The Exclusionary Mandates     --bug #233
      { 0.446, 0.429, 13, 5, 2 },      --bug #400
      { 0.453, 0.422, 13, 5, 2 },      --bug #456
      { 0.459, 0.454, 13, 5, 2 },      --bug #536
      { 0.306, 0.429, 13, 6, 2 }, --The Last King of the Ayleids
      { 0.344, 0.421, 13, 6, 2 },      --bug #536
      { 0.321, 0.414, 13, 6, 2 },      --bug #687
      { 0.256, 0.494, 13, 7, 2 }, --The Order of the Ancestor Moth   --bug #395
      { 0.249, 0.462, 13, 7, 2 },      --bug #400
      { 0.226, 0.518, 13, 7, 2 },      --Kodiak
      { 0.331, 0.494, 13, 8, 2 }, --Tamrielic Artifacts, Part One    --bug #327
      { 0.334, 0.464, 13, 8, 2 },      --bug #400
      { 0.376, 0.444, 13, 8, 2 },      --bug #536
      { 0.288, 0.495, 13, 8, 2 },      --bug #685
      { 0.226, 0.628, 13, 9, 2, 1 }, --Tamrielic Artifacts, Part Two --bug #327
      { 0.177, 0.611, 13, 9, 2 },      --Kodiak
      { 0.219, 0.680, 13, 9, 2 },      --Kodiak
      { 0.250, 0.625, 13, 10, 2, 1 }, --Tamrielic Artifacts, Part Three --bug $399
      --Poetry and Song
      { 0.433, 0.503, 18, 1, 2 }, --The Battle of Glenumbria Moors
      { 0.262, 0.555, 18, 1, 2 },      --bug #437
      { 0.343, 0.657, 18, 2, 2 }, --The Book of Dawn and Dusk  --bug #399
      { 0.389, 0.680, 18, 2, 2 },      --bug #457
      { 0.325, 0.679, 18, 2, 2 },      --Kodiak
      { 0.397, 0.648, 18, 2, 2 },      --bug #1224
      { 0.363, 0.589, 18, 3, 2 }, --The Cantatas of Vivec --bug #456
      { 0.368, 0.613, 18, 3, 2 },      --bug #437
      { 0.381, 0.599, 18, 3, 2 },      --Kodiak
      { 0.411, 0.604, 18, 3, 2 },
      { 0.394, 0.542, 18, 4, 2 }, --The Five Far Stars --bug #365,399
      { 0.416, 0.544, 18, 4, 2 },
      { 0.358, 0.557, 18, 4, 2 },      --Kodiak
      { 0.443, 0.556, 18, 4, 2 },      --Kodiak
      { 0.414, 0.491, 18, 5, 2 }, --Flesh to Cut from Bone     --bug #365,399
      { 0.419, 0.471, 18, 5, 2 },      --Kodiak
      { 0.370, 0.505, 18, 5, 2 },      --bug #674
      { 0.482, 0.513, 18, 6, 2 }, --Ode to the Tundrastriders
      { 0.274, 0.565, 18, 6, 2 },      --bug #327
      --Dungeon Lore
      { 0.737, 0.703, 11, 10, false, 5 }, --To Posterity
   },
   ["fortamol_base"] = {
      --Eastmarch Lore
      { 0.297, 0.459, 22, 1 }, --The Brothers' War
      { 0.302, 0.441, 22, 1 },         --bug #830
      --Legends of Nirn
      { 0.069, 0.481, 13, 9, 2 }, --Tamrielic Artifacts, Part Two --bug #399
      { 0.274, 0.473, 13, 10, 2 }, --Tamrielic Artifacts, Part Three --bug #399,400
      { 0.252, 0.220, 13, 10, 2 },     --bug #697
   },
   ["windhelm_base"] = {
      { 0.511, 0.573, 22, 1 }, --The Brothers' War    --bug #377,400,456
      { 0.509, 0.483, 22, 1 },         --ESOUI comment
      --Dwemer
      { 0.475, 0.571, 12, 11, 2 }, --Guylaine's Dwemer Architecture  --bug #456
      { 0.201, 0.773, 12, 11, 2 },     --addon comment
      { 0.256, 0.378, 12, 11, 2 },     --Kodiak, bug #830
   },
   ["icehammersvault_base"] = {
      --Divines and Deites
      { 0.086, 0.328, 10, 8, 2 }, --Nine Commands of the Eight Divines --Update 5
   },
   ["direfrostkeep_base"] = {
      --Dungeon Lore
      { 0.541, 0.653, 11, 10 }, --To Posterity
   },
}

lorebooksData["glenumbra"] = { --check other sources
--Glenumbra (Daggerfall, lvl 5-15)
   ["glenumbra_base"] = {
      --Glenumbra Lore
      { 0.27, 0.74, 1, 1, false, 1 }, --The Code of Mauloch
      { 0.22, 0.68, 1, 2, false, 1 }, --A Warning to the Aldmeri Dominion
      { 0.360, 0.715, 1, 3 }, --True Heirs of the Empire
      { 0.373, 0.632, 1, 3 },
      { 0.407, 0.673, 1, 3 },
      { 0.316, 0.660, 1, 3 },
      { 0.209, 0.590, 1, 4 }, --The Werewolf's Hide
      { 0.251, 0.588, 1, 4 },
      { 0.242, 0.600, 1, 4 },
      { 0.235, 0.565, 1, 4 },       --bug #709
      { 0.316, 0.514, 1, 5 }, --Guide to the Daggerfall Covenant
      { 0.259, 0.528, 1, 5 },
      { 0.351, 0.540, 1, 5 },
      { 0.359, 0.512, 1, 5 },
      { 0.300, 0.574, 1, 6 }, --The True Nature of Orcs (Banned Ed.)
      { 0.343, 0.614, 1, 6 },
      { 0.294, 0.632, 1, 6 },
      { 0.352, 0.592, 1, 6 },       --bug #490
      { 0.452, 0.526, 1, 7 }, --Varieties of Faith: The Bretons
      { 0.400, 0.427, 1, 7 },
      { 0.412, 0.536, 1, 7 },
      { 0.477, 0.548, 1, 7 },
      { 0.426, 0.576, 1, 7 },
      { 0.423, 0.797, 1, 8 }, --Varieties of Faith: The Orcs
      { 0.506, 0.650, 1, 8 },
      { 0.434, 0.745, 1, 8 },
      { 0.448, 0.714, 1, 8 },
      { 0.499, 0.778, 1, 8 },       --PM on ESOUI
      { 0.564, 0.724, 1, 9 }, --Wyresses: The Name-Daughters
      { 0.540, 0.711, 1, 9 },
      { 0.512, 0.693, 1, 9 },
      { 0.484, 0.748, 1, 9 },
      { 0.457, 0.640, 1, 10 }, --Schemes of the Reachmage
      { 0.502, 0.641, 1, 10 },
      { 0.491, 0.623, 1, 10 },
      { 0.494, 0.673, 1, 10 },
      --Daedric Princes
      { 0.651, 0.374, 8, 1, 3 }, --Aedra and Daedra
      { 0.693, 0.358, 8, 1, 3 },
      { 0.634, 0.418, 8, 1, 3 },
      { 0.692, 0.414, 8, 1, 3 },
      { 0.608, 0.450, 8, 2, 3 }, --Boethiah's Proving
      { 0.590, 0.469, 8, 2, 3 },
      { 0.550, 0.507, 8, 2, 3 },
      --Biographies
      { 0.294, 0.417, 9, 1, 3 }, --Galerion the Mystic
      { 0.196, 0.443, 9, 1, 3 },
      { 0.234, 0.486, 9, 1, 3 },
      { 0.554, 0.609, 9, 2, 3 }, --Great Harbingers of the Companions
      { 0.588, 0.607, 9, 2, 3 },
      { 0.56, 0.58, 9, 2, 3, 1 },
      { 0.642, 0.513, 9, 3, 3 }, --The Illusion of Death
      { 0.689, 0.538, 9, 3, 3 },
      { 0.641, 0.458, 9, 3, 3 },
      { 0.710, 0.475, 9, 3, 3 },
      { 0.744, 0.348, 9, 4, 3 }, --Jorunn the Skald-King
      { 0.755, 0.406, 9, 4, 3 },
      { 0.721, 0.318, 9, 4, 3 },
      { 0.520, 0.400, 9, 5, 3 }, --Triumphs of a Monarch, Ch. 3
      { 0.494, 0.394, 9, 5, 3 },
      { 0.515, 0.450, 9, 5, 3 },
      { 0.515, 0.433, 9, 5, 3 },       --bug #630
      { 0.576, 0.372, 9, 6, 3 }, --Triumphs of a Monarch, Ch. 6
      { 0.615, 0.351, 9, 6, 3 },
      { 0.615, 0.371, 9, 6, 3 },
      { 0.553, 0.398, 9, 6, 3 },       --bug #778
      { 0.518, 0.353, 9, 7, 3 }, --Triumphs of a Monarch, Ch. 10
      { 0.509, 0.344, 9, 7, 3 },
      { 0.534, 0.341, 9, 7, 3 },
      { 0.439, 0.349, 9, 8, 3 }, --Trials of St. Alessia
      { 0.424, 0.407, 9, 8, 3 },
      { 0.448, 0.379, 9, 8, 3 },
      --Divines and Deities
      { 0.324, 0.382, 10, 1, 3 }, --The Anuad Paraphrased
      { 0.322, 0.342, 10, 1, 3 },
      { 0.347, 0.362, 10, 1, 3 },
      { 0.377, 0.307, 10, 1, 3 },
      { 0.806, 0.341, 10, 2, 3 }, --The Lunar Lorkhan
      { 0.548, 0.234, 10, 2, 3 },
      { 0.817, 0.299, 10, 2, 3 },
      { 0.755, 0.269, 10, 3, 3 }, --Monomyth: Dragon God & Missing God
      { 0.792, 0.312, 10, 3, 3 },
      { 0.786, 0.232, 10, 3, 3 },
      --Dwemer
      { 0.82, 0.16, 12, 1, 3, 1 }, --Ancient Scrolls of the Dwemer I-A
      { 0.773, 0.156, 12, 2, 3 }, --Ancient Scrolls of the Dwemer II
      { 0.686, 0.131, 12, 2, 3 },
      { 0.734, 0.149, 12, 2, 3 },
      { 0.754, 0.176, 12, 2, 3 },
      { 0.740, 0.197, 12, 3, 3 }, --Ancient Scrolls of the Dwemer III
      { 0.723, 0.243, 12, 3, 3 },
      --Tamriel History
      { 0.690, 0.174, 19, 1, 3 }, --Ayleid Inscriptions Translated
      { 0.605, 0.185, 19, 1, 3 },
      { 0.603, 0.233, 19, 2, 3 }, --Frontier, Conquest
      { 0.637, 0.250, 19, 2, 3 },
      { 0.653, 0.234, 19, 2, 3 },
      { 0.684, 0.253, 19, 2, 3 },      --bug #251
      { 0.640, 0.273, 19, 3, 3 }, --History of the Fighters Guild Pt. 1
      { 0.644, 0.318, 19, 3, 3 },
      { 0.664, 0.339, 19, 3, 3 },
      { 0.605, 0.324, 19, 4, 3 }, --History of the Fighters Guild Pt. 2
      { 0.577, 0.301, 19, 4, 3 },
      { 0.590, 0.289, 19, 4, 3 },
      { 0.611, 0.282, 19, 4, 3 },
      { 0.573, 0.225, 19, 5, 3 }, --Origin of the Mages Guild
      { 0.571, 0.263, 19, 5, 3 },
      { 0.557, 0.228, 19, 5, 3 },
      { 0.522, 0.234, 19, 5, 3 },
      --Dungeon Lore
      { 0.714, 0.336, 11, 8, false, 5 }, --Where Magical Paths Meet
   },
   ["aldcroft_base"] = {
      --Biographies
      { 0.387, 0.648, 9, 2, 3 }, --Great Harbingers of the Companions
      { 0.381, 0.878, 9, 2, 3 },       --bug #860
   },
   ["crosswych_base"] = {
      --Dwemer
      { 0.554, 0.822, 12, 1, 3 }, --Ancient Scrolls of the Dwemer I-A
      { 0.568, 0.621, 12, 1, 3 },
      { 0.397, 0.654, 12, 1, 3 },
      { 0.683, 0.648, 12, 1, 3 },      --bug #860
   },
   ["daggerfall_base"] = {
      --Glenumbra Lore
      { 0.749, 0.699, 1, 1 }, --The Code of Mauloch
      { 0.517, 0.636, 1, 1 },
      { 0.311, 0.566, 1, 1 },
      { 0.657, 0.606, 1, 1 },
      { 0.216, 0.089, 1, 2 }, --A Warning to the Aldmeri Dominion
      { 0.431, 0.143, 1, 2 },
      { 0.511, 0.290, 1, 2 },
      { 0.606, 0.325, 1, 2 },
      { 0.892, 0.254, 1, 3 }, --True Heirs of the Empire    --bug #939
   },
   ["desolationsend_base"] = {
      --Biographies
      { 0.856, 0.376, 9, 8, 3 }, --Trials of St. Alessia    --bug #1088
   },
   ["spindleclutch_base"] = {
      --Dungeon Lore
      { 0.677, 0.475, 11, 8 }, --Where Magical Paths Meet
   },
   ["strosmkai_base"] = {
      --Dwemer
      { 0.403, 0.509, 12, 11, 3 }, --Guylaine's Dwemer Architecture
   },
}

lorebooksData["grahtwood"] = {
--Grahtwood (Aldmeri, lvl 16-23)
   ["grahtwood_base"] = {
      --Grahtwood Lore
      { 0.430, 0.749, 26, 1 }, --Varieties of Faith: The Khajiit
      { 0.406, 0.758, 26, 1 },         --bug #511
      { 0.383, 0.780, 26, 1 },
      { 0.417, 0.766, 26, 1 },
      { 0.384, 0.676, 26, 2 }, --Varieties of Faith: The Wood Elves
      { 0.485, 0.617, 26, 2 },
      { 0.491, 0.560, 26, 2 },         --bug #857
      { 0.415, 0.656, 26, 2 },
      { 0.537, 0.682, 26, 3 }, --The Book of the Great Tree
      { 0.533, 0.640, 26, 3 },
      { 0.501, 0.703, 26, 3 },         --Kodiak
      { 0.646, 0.743, 26, 4 }, --Common Arms of Valenwood
      { 0.564, 0.714, 26, 4 },         --Kodiak
      { 0.588, 0.745, 26, 4 },         --Kodiak
      { 0.650, 0.712, 26, 4 },         --bug #875
      { 0.549, 0.791, 26, 5 }, --War Customs of the Tribal Bosmer
      { 0.512, 0.752, 26, 5 },
      { 0.456, 0.780, 26, 5 },
      { 0.491, 0.810, 26, 5 },
      { 0.664, 0.665, 26, 6 }, --The Devouring of Gil-Var-Delle
      { 0.648, 0.589, 26, 6 },
      { 0.615, 0.639, 26, 6 },         --bug #1068
      { 0.660, 0.645, 26, 6 },         --addon comment
      { 0.852, 0.568, 26, 7, false, 4 }, --Ayleid Survivals in Valenwood
      { 0.772, 0.521, 26, 7 },         --bug #599
      { 0.778, 0.504, 26, 8 }, --Aurbic Enigma 4: The Elden Tree  --Kodiak
      { 0.767, 0.602, 26, 8 },
      { 0.840, 0.632, 26, 8 },         --Kodiak
      { 0.728, 0.602, 26, 8 },         --Kodiak
      { 0.739, 0.671, 26, 9, false, 1 }, --The Legend of Vastarie
      { 0.720, 0.728, 26, 9, false, 1 },    --Kodiak
      { 0.694, 0.748, 26, 9, false, 1 },    --Kodiak
      { 0.835, 0.765, 26, 10, false, 1 }, --In the Company of Wood Orcs
      { 0.829, 0.715, 26, 10, false, 1 },   --Kodiak
      --Daedric Princes
      { 0.562, 0.171, 8, 3, 1 }, --The Dreamstride
      { 0.596, 0.207, 8, 3, 1 },       --Kodiak
      { 0.565, 0.261, 8, 4, 1 }, --The House of Troubles
      { 0.519, 0.271, 8, 4, 1 },
      { 0.536, 0.233, 8, 4, 1 },
      --Divines and Deities
      { 0.460, 0.530, 10, 4, 1 }, --Monomyth: Lorkhan and Satakal
      { 0.426, 0.580, 10, 4, 1 },      --Kodiak
      { 0.418, 0.517, 10, 4, 1 },
      { 0.323, 0.608, 10, 5, 1 }, --Monomyth: "Shezarr's Song"    --bug #254
      { 0.318, 0.626, 10, 5, 1 },      --Kodiak
      { 0.246, 0.598, 10, 5, 1 },      --Kodiak
      { 0.295, 0.560, 10, 5, 1 },
      { 0.349, 0.549, 10, 6, 1 }, --Monomyth: The Myth of Aurbis  --bug #253
      { 0.303, 0.525, 10, 6, 1 },      --Kodiak
      { 0.300, 0.433, 10, 6, 1 },      --bug #1023
      { 0.301, 0.448, 10, 6, 1 },
      --Dwemer
      { 0.407, 0.466, 12, 4, 1 }, --Ancient Scrolls of the Dwemer V
      { 0.377, 0.512, 12, 4, 1 },      --Kodiak
      { 0.368, 0.433, 12, 4, 1 },      --Kodiak
      { 0.390, 0.425, 12, 4, 1 },
      { 0.447, 0.428, 12, 5, 1 }, --Ancient Scrolls of the Dwemer VI
      { 0.456, 0.488, 12, 5, 1 },
      { 0.478, 0.462, 12, 5, 1 },
      { 0.445, 0.366, 12, 5, 1 },
      { 0.354, 0.370, 12, 6, 1 }, --Ancient Scrolls of the Dwemer X
      { 0.373, 0.344, 12, 6, 1 },
      { 0.431, 0.327, 12, 6, 1 },      --bug #507
      --Magic and Magica
      { 0.619, 0.550, 15, 1, 1, 1 }, --Arcana Restored
      { 0.510, 0.548, 15, 2, 1, 1 }, --Liminal Bridges   --Kodiak
      { 0.579, 0.532, 15, 2, 1, 1 },   --Kodiak
      { 0.550, 0.566, 15, 2, 1, 1 },   --Kodiak
      { 0.777, 0.485, 15, 3, 1 }, --Magic from the Sky   --Kodiak
      { 0.701, 0.438, 15, 3, 1 },
      { 0.757, 0.424, 15, 3, 1 },
      { 0.698, 0.490, 15, 3, 1 },
      { 0.680, 0.412, 15, 4, 1 }, --Manual of Spellcraft
      { 0.723, 0.372, 15, 4, 1 },
      { 0.647, 0.387, 15, 4, 1 },
      { 0.543, 0.381, 15, 5, 1 }, --The Old Ways
      { 0.585, 0.411, 15, 5, 1 },
      { 0.577, 0.354, 15, 5, 1 },      --bug #1107
      { 0.507, 0.379, 15, 6, 1 }, --On the Detachment of the Sheath
      { 0.428, 0.294, 15, 6, 1 },      --Kodiak
      { 0.499, 0.299, 15, 6, 1 },      --Kodiak
      { 0.483, 0.358, 15, 6, 1 },
      { 0.642, 0.334, 15, 7, 1 }, --Reality and Other Falsehoods
      { 0.654, 0.309, 15, 7, 1 },
      { 0.608, 0.321, 15, 7, 1 },      --bug #589
      { 0.474, 0.187, 15, 8, 1 }, --Guild Memo on Soul Trapping
      { 0.459, 0.268, 15, 8, 1 },      --bug #318
      { 0.494, 0.234, 15, 8, 1 },      --bug #442
      { 0.429, 0.230, 15, 8, 1 },
      --Myths of the Mundus
      { 0.380, 0.393, 16, 1, 1 }, --Before the Ages of Man: Dawn Era
      { 0.322, 0.404, 16, 1, 1 },
      { 0.287, 0.334, 16, 1, 1 },      --bug #888
      { 0.268, 0.311, 16, 2, 1 }, --Before the Ages of Man: Merethic Er
      { 0.280, 0.226, 16, 2, 1 },
      { 0.288, 0.257, 16, 2, 1 },
      { 0.238, 0.130, 16, 3, 1 }, --Ebony Blade History
      { 0.335, 0.156, 16, 3, 1, 1 },     --bug #592
      { 0.278, 0.161, 16, 3, 1, 1 },
      { 0.284, 0.159, 16, 3, 1, 1 },
      { 0.340, 0.267, 16, 4, 1 }, --Noxiphilic Sanguivoria
      { 0.395, 0.269, 16, 4, 1 },      --bug #965
      { 0.349, 0.230, 16, 4, 1 },
      { 0.327, 0.234, 16, 4, 1 },
      { 0.195, 0.157, 16, 5, 1 }, --A Werewolf's Confession
      { 0.194, 0.205, 16, 5, 1 },
      { 0.224, 0.225, 16, 5, 1 },
      { 0.256, 0.203, 16, 5, 1 },
      --Dungeon Lore
      { 0.526, 0.484, 11, 5, false, 5 }, --Civility and Etiquette: Wood Orcs I
   },
   ["eldenhollow_base"] = {
      --Dungeon Lore
      { 0.786, 0.624, 11, 5 }, --Civility and Etiquette: Wood Orcs I
   },
   ["eldenrootgroundfloor_base"] = {
      --Magic and Magica
      { 0.745, 0.733, 15, 1, 1 }, --Arcana Restored
      { 0.730, 0.484, 15, 1, 1 },      --bug #971
      { 0.566, 0.655, 15, 2, 1 }, --Liminal Bridges
      { 0.440, 0.808, 15, 2, 1 },
   },
   ["haven_base"] = {
      --Grahtwood Lore
      { 0.398, 0.252, 26, 9 }, --The Legend of Vastarie
      { 0.235, 0.205, 26, 9 },
      { 0.294, 0.496, 26, 9 },      --Kodiak
      { 0.170, 0.600, 26, 9 },      --Kodiak
      { 0.829, 0.425, 26, 10 }, --In the Company of Wood Orcs
      { 0.857, 0.675, 26, 10 },
      { 0.453, 0.586, 26, 10 },
      { 0.514, 0.355, 26, 10 },
   },
   ["redfurtradingpost_base"] = {
      --Myths of the Mundus
      { 0.778, 0.392, 16, 3, 1 }, --Ebony Blade History     --bug #592
      { 0.229, 0.439, 16, 3, 1 },
      { 0.279, 0.419, 16, 3, 1 },
   },
   ["sacredleapgrotto_base"] = {
      --Grahtwood Lore
      { 0.698, 0.528, 26, 7 }, --Ayleid Survivals in Valenwood --bug #1200
   },
}

lorebooksData["greenshade"] = { --check other sources
--Greenshade (Aldmeri lvl 25-30)
   ["greenshade_base"] = {
      --Greenshade Lore
      { 0.459, 0.299, 27, 1 }, --Words of Clan Mother Ahnissi, Pt. 1
      { 0.432, 0.345, 27, 1 },         --Kodiak
      { 0.403, 0.298, 27, 1 },
      { 0.553, 0.711, 27, 2 }, --Words of Clan Mother Ahnissi, Pt. 2
      { 0.576, 0.653, 27, 2 },         --bug #476
      { 0.591, 0.635, 27, 2 },         --Kodiak
      { 0.527, 0.717, 27, 2 },         --bug #1107
      { 0.444, 0.727, 27, 3 }, --The Ooze: A Fable --bug #431,462
      { 0.479, 0.760, 27, 3 },         --bug #346
      { 0.510, 0.688, 27, 3 },         --bug #600
      { 0.505, 0.782, 27, 4 }, --The Wilderking Legend
      { 0.492, 0.864, 27, 4 },
      { 0.457, 0.783, 27, 4 },
      { 0.448, 0.851, 27, 4 },
      { 0.625, 0.790, 27, 5 }, --Visions of the Green Pact Bosmer
      { 0.611, 0.754, 27, 5 },         --bug #462
      { 0.705, 0.767, 27, 5 },         --bug #710
      { 0.363, 0.525, 27, 6 }, --Woodhearth: A Pocket Guide
      { 0.313, 0.547, 27, 6 },         --bug #212
      { 0.295, 0.495, 27, 6 },
      { 0.338, 0.474, 27, 6 },         --bug #1231
      { 0.384, 0.565, 27, 7 }, --The Eldest: A Pilgrim's Tale
      { 0.359, 0.460, 27, 7 },         --Kodiak
      { 0.413, 0.460, 27, 7 },
      { 0.251, 0.383, 27, 8 }, --The Green Pact and the Dominion
      { 0.228, 0.298, 27, 8 },         --bug #476
      { 0.313, 0.381, 27, 8 },         --bug #572, 606
      { 0.302, 0.356, 27, 8 },
      { 0.549, 0.446, 27, 9 }, --Gifts of the Nereids
      { 0.481, 0.482, 27, 9 },         --Kodiak
      { 0.481, 0.497, 27, 9, false, 2 }, -- (falinesticave_base)
      { 0.569, 0.327, 27, 10 }, --The Wood Elf Gourmet, Ch. 1
      { 0.605, 0.313, 27, 10 },        --bug #476
      { 0.535, 0.300, 27, 10 },        --Kodiak
      { 0.589, 0.349, 27, 10 },
      --Daedric Princes
      { 0.317, 0.803, 8, 5, 1 }, --Invocation of Azura
      { 0.258, 0.856, 8, 5, 1 },       --bug #431
      { 0.376, 0.775, 8, 5, 1 },       --bug #596
      { 0.353, 0.843, 8, 5, 1 },
      { 0.485, 0.355, 8, 6, 1 }, --Modern Heretics --bug #212
      { 0.471, 0.402, 8, 6, 1 },       --bug #304
      { 0.526, 0.374, 8, 6, 1 },
      { 0.556, 0.364, 8, 6, 1 },
      --Divines and Deities
      { 0.665, 0.510, 10, 7, 1, 1 }, --Monomyth: The Heart of the World
      { 0.665, 0.546, 10, 7, 1, 1 },
      { 0.714, 0.555, 10, 7, 1, 1 },
      { 0.740, 0.508, 10, 7, 1, 1 },
      { 0.367, 0.297, 10, 8, 1 }, --Nine Commands of the Eight Divines --bug #212
      { 0.332, 0.326, 10, 8, 1 },      --bug #409
      { 0.293, 0.273, 10, 8, 1 },
      { 0.377, 0.372, 10, 8, 1 },      --Kodiak
      { 0.705, 0.767, 10, 9, 1 }, --Gods and Worship In Tamriel --bug #273
      { 0.770, 0.814, 10, 9, 1 },
      { 0.752, 0.723, 10, 9, 1 },      --Kodiak
      { 0.766, 0.779, 10, 9, 1 },      --Kodiak
      { 0.717, 0.381, 10, 10, 1 }, --Vivec and Mephala
      { 0.644, 0.374, 10, 10, 1 },     --bug #212
      { 0.637, 0.415, 10, 10, 1 },     --Kodiak
      { 0.682, 0.322, 10, 10, 1 },     --Kodiak
      --Dwemer
      { 0.786, 0.675, 12, 7, 1 }, --Ancient Scrolls of the Dwemer XI
      { 0.748, 0.627, 12, 7, 1 },
      { 0.692, 0.677, 12, 7, 1 },      --bug #462
      { 0.727, 0.698, 12, 7, 1 },
      { 0.343, 0.189, 12, 8, 1 }, --Antecedents of Dwemer Law  --bug #212
      { 0.308, 0.148, 12, 8, 1 },      --bug #262
      { 0.260, 0.144, 12, 8, 1 },
      { 0.361, 0.143, 12, 8, 1 },
      { 0.656, 0.723, 12, 9, 1 }, --Dwarven Automatons
      { 0.605, 0.703, 12, 9, 1 },      --Kodiak
      { 0.648, 0.767, 12, 9, 1 },
      { 0.618, 0.672, 12, 9, 1 },
      --Myths of the Mundus
      { 0.360, 0.568, 16, 6, 1 }, --The Firmament
      { 0.299, 0.571, 16, 6, 1 },      --bug #212
      { 0.336, 0.675, 16, 6, 1 },      --bug #346
      { 0.257, 0.669, 16, 7, 1, 1 }, --The Pig Children
      { 0.240, 0.593, 16, 7, 1, 1 },
      { 0.253, 0.635, 16, 7, 1, 1 },
      { 0.119, 0.524, 16, 8, 1 }, --Ruminations on the Elder Scrolls
      { 0.232, 0.549, 16, 8, 1 },      --bug #303
      { 0.197, 0.585, 16, 8, 1, 1 },   --bug #431
      { 0.150, 0.548, 16, 8, 1 },      --Kodiak
      { 0.092, 0.618, 16, 9, 1, 1 }, --Sithis
      { 0.158, 0.598, 16, 9, 1, 1 },   --Kodiak
      { 0.167, 0.698, 16, 9, 1, 1 },
      --Oblivion Lore
      { 0.261, 0.774, 17, 1, 1 }, --The Book of Daedra      --bug #274, 286
      { 0.198, 0.755, 17, 1, 1 },      --Kodiak
      { 0.230, 0.776, 17, 1, 1 },
      { 0.21, 0.72, 17, 1, 1, 1 },     --addon comment
      { 0.283, 0.747, 17, 2, 1 }, --Darkest Darkness        --bug #275
      { 0.294, 0.721, 17, 2, 1 },      --bug #462,476
      { 0.349, 0.703, 17, 2, 1 },      --addon comment
      { 0.451, 0.285, 17, 3, 1 }, --The Doors of Oblivion, Part 1
      { 0.502, 0.254, 17, 3, 1 },      --Kodiak
      { 0.451, 0.227, 17, 3, 1 },
      { 0.609, 0.879, 17, 4, 1 }, --The Doors of Oblivion, Part 2
      { 0.618, 0.912, 17, 4, 1 },      --bug #266
      { 0.650, 0.890, 17, 4, 1 },      --bug #476
      { 0.523, 0.903, 17, 4, 1 },      --Kodiak
      { 0.750, 0.846, 17, 5, 1 }, --On Oblivion
      { 0.728, 0.843, 17, 5, 1 },
      { 0.686, 0.880, 17, 5, 1 },
      { 0.348, 0.262, 17, 6, 1 }, --Spirit of the Daedra    --bug #212
      { 0.378, 0.273, 17, 6, 1 },      --bug #349
      { 0.274, 0.272, 17, 6, 1 },      --Kodiak
      { 0.416, 0.216, 17, 6, 1 },      --Kodiak
      { 0.402, 0.737, 17, 7, 1 }, --Varieties of Daedra, Part 1
      { 0.405, 0.628, 17, 7, 1 },      --bug #212
      { 0.378, 0.708, 17, 7, 1 },      --Kodiak
      { 0.397, 0.607, 17, 7, 1 },      --Kodiak
      { 0.335, 0.237, 17, 8, 1 }, --Varieties of Daedra, Part 2      --bug #212
      { 0.309, 0.241, 17, 8, 1 },      --bug #476
      { 0.301, 0.195, 17, 8, 1 },      --Kodiak
      --Dungeon Lore
      { 0.658, 0.300, 11, 12, false, 5 }, --Burning Vestige, Vol. I
   },
   ["falinesticave_base"] = {
      --Greenshade Lore
      { 0.398, 0.759, 27, 9 }, --Gifts of the Nereids
   },
   ["marbruk_base"] = {
      --Divines and Deities
      { 0.245, 0.368, 10, 7, 1 }, --Monomyth: The Heart of the World --Update 6
      { 0.245, 0.607, 10, 7, 1 }, --Update 6
      { 0.565, 0.660, 10, 7, 1 }, --Update 6
      { 0.734, 0.355, 10, 7, 1 }, --Update 6
   },
   ["woodhearth_base"] = {
      --Myths of the Mundus
      { 0.795, 0.336, 16, 7, 1 }, --The Pig Children     --bug #212, #293, #302
      { 0.841, 0.498, 16, 7, 1 },
      { 0.860, 0.624, 16, 7, 1 },      --Kodiak
      { 0.629, 0.305, 16, 8, 1 }, --Ruminations on the Elder Scrolls --bug #431
      { 0.229, 0.431, 16, 9, 1 }, --Sithis      --bug #356
      { 0.477, 0.357, 16, 9, 1 },      --bug #476
      { 0.514, 0.737, 16, 9, 1 },      --comment on Nexus Mods
      --Oblivion Lore
      { 0.692, 0.815, 17, 1, 1 },      --addon comment
   },
   ["cityofashmain_base"] = {
      --Dungeon Lore
      { 0.275, 0.444, 11, 12 },  --Burning Vestige, Vol. I
   },

}

lorebooksData["malabaltor"] = {
--Malabal Tor (Aldmeri, lvl 31-37)
   ["malabaltor_base"] = {
      --Malabal Tor Lore
      { 0.728, 0.494, 21, 1 }, --The Voice of the People
      { 0.748, 0.411, 21, 1 },         --bug #288
      { 0.708, 0.492, 21, 1, false, 2 },
      { 0.758, 0.450, 21, 1 },         --bug #1088
      { 0.200, 0.466, 21, 2 }, --The Woodsmer   --bug #470
      { 0.208, 0.535, 21, 2 },         --bug #431
      { 0.783, 0.524, 21, 3 }, --Green Lady, My Lady  --bug #364
      { 0.828, 0.493, 21, 3 },         --Kodiak
      { 0.80, 0.35, 21, 3, false, 1 },   --Kodiak
      { 0.843, 0.477, 21, 3, false, 2 }, --(quest area)
      { 0.231, 0.489, 21, 4 }, --Valenwood: A Study
      { 0.216, 0.461, 21, 4 },         --Kodiak
      { 0.236, 0.472, 21, 4 },         --Kodiak
      { 0.57, 0.50, 21, 5, false, 1 }, --The Humor of Wood Elves
      { 0.602, 0.528, 21, 5 },         --Kodiak
      { 0.231, 0.401, 21, 6 }, --Pirates of the Abecean
      { 0.349, 0.412, 21, 6 },
      { 0.395, 0.397, 21, 6 },
      { 0.808, 0.233, 21, 7 }, --The Wedding Feast: A Memoir
      { 0.804, 0.170, 21, 7 },         --Kodiak
      { 0.471, 0.706, 21, 8 }, --A Nereid Stole My Husband
      { 0.422, 0.657, 21, 8, false, 4 }, --bug #649
      { 0.473, 0.563, 21, 8, false, 2 }, --bug #280
      { 0.597, 0.650, 21, 9 }, --The Red Paint     --bug #495
      { 0.602, 0.727, 21, 9 },
      { 0.573, 0.703, 21, 9 },         --bug #840
      { 0.614, 0.767, 21, 9 },         --bug #1231
      { 0.493, 0.420, 21, 10 }, --Ayleid Cities of Valenwood
      { 0.481, 0.435, 21, 10 },
      { 0.501, 0.398, 21, 10 },
      { 0.513, 0.430, 21, 10 },
      --Daedric Princes
      { 0.335, 0.599, 8, 7, 1 }, --Opusculus Lamae Bal ta Mezzamortie --bug #394
      { 0.367, 0.596, 8, 7, 1 },       --bug #470
      { 0.376, 0.595, 8, 7, 1 },
      { 0.435, 0.588, 8, 7, 1 },       --bug #667
      { 0.642, 0.234, 8, 8, 1 }, --The Totems of Hircine --bug #353
      { 0.616, 0.242, 8, 8, 1 },       --bug #555
      { 0.661, 0.225, 8, 8, 1 },       --bug #840
      { 0.680, 0.176, 8, 8, 1 },       --bug #1042
      --Dwemer
      { 0.381, 0.623, 12, 10, 1 }, --Ancient Scrolls of the Dwemer I-B
      { 0.424, 0.644, 12, 10, 1 },     --Kodiak (confirmed)
      { 0.413, 0.656, 12, 10, 1, 4 },
      { 0.644, 0.312, 12, 11, 1 }, --Guylaine's Dwemer Architecture  --bug #344
      { 0.669, 0.328, 12, 11, 1 },
      { 0.477, 0.368, 12, 12, 1 }, --Ancient Scrolls of the Dwemer VIII --bug #470
      { 0.479, 0.326, 12, 12, 1 },     --bug #1107
      --Legends of Nirn
      { 0.186, 0.573, 13, 1, 1 }, --An Accounting of the Elder Scrolls  --bug #507
      { 0.192, 0.589, 13, 1, 1 },      --bug #523
      { 0.218, 0.587, 13, 1, 1 },      --Kodiak
      { 0.197, 0.605, 13, 1, 1 },      --Kodiak
      { 0.722, 0.303, 13, 2, 1 }, --The Adabal-a      --bug #351
      { 0.773, 0.326, 13, 2, 1 },      --bug #352
      { 0.751, 0.274, 13, 2, 1 },      --Kodiak
      { 0.788, 0.298, 13, 2, 1, 2 },   --Kodiak
      { 0.54, 0.43, 13, 3, 1, 1 }, --The Amulet of Kings       --bug #285
      { 0.581, 0.465, 13, 3, 1 },      --Kodiak
      { 0.611, 0.367, 13, 3, 1 },      --Kodiak
      { 0.600, 0.395, 13, 3, 1 },
      { 0.283, 0.622, 13, 4, 1 }, --The Cleansing of the Fane     --bug #268
      { 0.313, 0.602, 13, 4, 1 },      --addon comment
      { 0.292, 0.545, 13, 4, 1 },      --Kodiak
      { 0.712, 0.657, 13, 5, 1 }, --The Exclusionary Mandates     --bug #315
      { 0.658, 0.619, 13, 5, 1 },      --bug #470
      { 0.686, 0.595, 13, 5, 1 },      --Kodiak
      { 0.679, 0.648, 13, 5, 1 },      --bug #523
      { 0.674, 0.833, 13, 6, 1 }, --The Last King of the Ayleids --bug #297
      { 0.667, 0.821, 13, 6, 1 },      --Kodiak
      { 0.627, 0.870, 13, 6, 1 },      --Kodiak
      { 0.625, 0.827, 13, 6, 1 },      --bug #523
      { 0.236, 0.543, 13, 7, 1 }, --The Order of the Ancestor Moth   --bug #345
      { 0.578, 0.734, 13, 8, 1 }, --Tamrielic Artifacts, Part One --bug #291
      { 0.502, 0.736, 13, 8, 1 },      --bug #523
      { 0.580, 0.793, 13, 8, 1 },
      { 0.643, 0.386, 13, 9, 1 }, --Tamrielic Artifacts, Part Two --Kodiak
      { 0.643, 0.444, 13, 9, 1 },      --bug #523
      { 0.646, 0.455, 13, 9, 1 },      --addon comment
      { 0.667, 0.414, 13, 9, 1 },
      { 0.84, 0.30, 13, 10, 1, 1 }, --Tamrielic Artifacts, Part Three --bug #289
      { 0.847, 0.257, 13, 10, 1 },     --Kodiak
      { 0.708, 0.492, 13, 10, 1, 2 },
      --Poetry and Song
      { 0.639, 0.719, 18, 1, 1 }, --The Battle of Glenumbria Moors   --bug #314
      { 0.651, 0.714, 18, 1, 1 },      --bug #367
      { 0.647, 0.766, 18, 1, 1 },      --addon comment
      { 0.664, 0.789, 18, 1, 1 },
      { 0.579, 0.564, 18, 2, 1, 4 }, --The Book of Dawn and Dusk  --bug #321,486
      { 0.638, 0.505, 18, 2, 1 },      --addon comment, bug #540
      { 0.563, 0.605, 18, 2, 1, 4 },
      { 0.582, 0.624, 18, 2, 1 },
      { 0.375, 0.508, 18, 3, 1 }, --The Cantatas of Vivec      --bug #272
      { 0.358, 0.555, 18, 3, 1 },      --bug #428,517
      { 0.428, 0.520, 18, 3, 1 },
      { 0.381, 0.458, 18, 3, 1 },
      { 0.643, 0.335, 18, 4, 1 }, --The Five Far Stars      --bug #342
      { 0.648, 0.280, 18, 4, 1 },      --bug #354
      { 0.601, 0.293, 18, 4, 1 },      --Kodiak
      { 0.18, 0.49, 18, 5, 1, 1 }, --Flesh to Cut from Bone    --bug #431
      { 0.15, 0.42, 18, 5, 1, 1 },     --Kodiak
      { 0.775, 0.576, 18, 6, 1 }, --Ode to the Tundrastriders  --bug #316
      { 0.728, 0.752, 18, 6, 1 },      --Kodiak
      { 0.794, 0.571, 18, 6, 1 },
      { 0.755, 0.748, 18, 6, 1 },
      --Dungeon Lore
      { 0.460, 0.330, 11, 14, false, 5 }, --Tempest Island Briefing
   },
   ["baandaritradingpost_base"] = {
      --Malabal Toe Lore
      { 0.300, 0.613, 21, 3 }, --Green Lady, My Lady           --modified because of bug #1023 
      --Legends of Nirn
      { 0.097, 0.451, 13, 2, 1 }, --The Adabal-a               --bug #639
      { 0.532, 0.242, 13, 10, 1 }, --Tamrielic Artifacts, Part Three    --bug #289
      --Poetry and Song
      { 0.565, 0.470, 18, 5, 1 }, --Flesh to Cut from Bone     --PM on reddit
   },
   ["hoarvorpit_base"] = {
      --Malabal Toe Lore
      { 0.454, 0.434, 21, 8 }, --A Nereid Stole My Husband     --Update 5
   },
   ["deadmansdrop_base"] = {
      --Malabal Toe Lore
      { 0.517, 0.399, 21, 6 }, --Pirates of the Abecean        --Update 5
   },
   ["vulkwasten_base"] = {
      --Malabal Tor Lore
      { 0.607, 0.587, 21, 5 }, --The Humor of Wood Elves       --bug #470,495
      { 0.409, 0.669, 21, 5 },         --bug #769
      --Legends of Nirn
      { 0.437, 0.212, 13, 3, 1 }, --The Amulet of Kings        --bug #285
      { 0.694, 0.378, 13, 3, 1 },      --addon comment
   },
   ["ouze_base"] = {
      { 0.274, 0.471, 21, 3 }, --Green Lady, My Lady
   },
   ["tempestisland_base"] = {
      --Dungeon Lore
      { 0.445, 0.367, 11, 4 }, --War Weather                --bug #860
      { 0.365, 0.812, 11, 14 }, --Tempest Island Briefing
   },
   ["rootsofsilvenar_base"] = {
      --Malabal Tor Lore
      { 0.260, 0.447, 21, 1 }, --The Voice of the People      --Update 5
      --Legends of Nirn
      { 0.249, 0.644, 13, 10, 1 }, --Tamrielic Artifacts, Part Three  --Update 5
   },
   ["velynharbor_base"] = {
      --Malabal Tor Lore
      { 0.880, 0.603, 21, 2 }, --The Woodsmer   --bug #636
      { 0.843, 0.309, 21, 2 },
      --Poetry and Song
      { 0.760, 0.395, 18, 5, 1 }, --Flesh to Cut from Bone  --bug #431
      { 0.637, 0.106, 18, 5, 1 }, --Flesh to Cut from Bone  --bug #212
      { 0.373, 0.150, 18, 5, 1 },      --Kodiak
   },
   ["blackvineruins_base"] = {
      --Legends of Nirn
      { 0.154, 0.484, 13, 2, 1 },  --The Adabal-a           --Update 5
   },
}

lorebooksData["reapersmarch"] = { --check other sources
--Reaper's March (Aldmeri, lvl 37-43)
   ["reapersmarch_base"] = {
      --Reaper's March Lore
      { 0.460, 0.107, 28, 1 }, --The Moon Cats and their Dance   --bug #420
      { 0.562, 0.738, 28, 1 },         --Kodiak
      { 0.550, 0.685, 28, 1 },         --Kodiak
      { 0.512, 0.648, 28, 1 },         --Kodiak
      { 0.737, 0.151, 28, 2 }, --Litter-Mates of Darkness
      { 0.710, 0.202, 28, 2 },         --bug #649
      { 0.768, 0.187, 28, 2 },
      { 0.690, 0.237, 28, 3 }, --Yours for the Taking!
      { 0.723, 0.251, 28, 3 },         --bug #476
      { 0.769, 0.216, 28, 3 },         --Kodiak
      { 0.760, 0.303, 28, 3 },         --bug #480
      { 0.79, 0.33, 28, 4, false, 1 }, --A Looter's Paradise
      { 0.778, 0.405, 28, 4, false, 1 }, --Kodiak
      { 0.639, 0.286, 28, 5 }, --The Eagle and the Cat
      { 0.601, 0.234, 28, 5 },
      { 0.590, 0.357, 28, 5 },         --Kodiak
      { 0.73, 0.33, 28, 6, false, 1 }, --Elven Eyes, Elven Spies
      { 0.69, 0.35, 28, 6 },
      { 0.725, 0.283, 28, 6 },         --bug #826
      { 0.691, 0.313, 28, 6 },
      { 0.569, 0.408, 28, 7 }, --Moon-Sugar for Glossy Fur? Yes! --bug #418
      { 0.520, 0.444, 28, 7 },         --bug #394
      { 0.572, 0.382, 28, 8 }, --Master Zoaraym's Tale, Part 1
      { 0.624, 0.397, 28, 8 },         --bug #471
      { 0.651, 0.388, 28, 8 },         --Kodiak
      { 0.49, 0.48, 28, 9 }, --Master Zoaraym's Tale, Part 2
      { 0.537, 0.452, 28, 9 },         --bug #476
      { 0.546, 0.506, 28, 9 },         --Kodiak
      { 0.472, 0.457, 28, 9 },         --bug #765
      { 0.590, 0.499, 28, 10 }, --Cohort Briefing: Arenthia
      { 0.610, 0.543, 28, 10 },
      { 0.577, 0.605, 28, 10 },        --bug #474
      { 0.584, 0.548, 28, 10 },        --Kodiak
      --Dwemer
      { 0.412, 0.247, 12, 13, 1 }, --Dwemer Inquiries Volume I    --bug #420
      { 0.407, 0.191, 12, 13, 1 },     --Kodiak
      { 0.373, 0.276, 12, 13, 1 },     --bug #826,840
      { 0.463, 0.274, 12, 14, 1 }, --Dwemer Inquiries Volume II   --bug #385
      { 0.539, 0.274, 12, 14, 1 },     --bug #471
      { 0.509, 0.307, 12, 14, 1 },     --Kodiak
      { 0.443, 0.388, 12, 15, 1 }, --Dwemer Inquiries Volume III  --bug #414
      { 0.410, 0.422, 12, 15, 1 },     --bug #417
      { 0.391, 0.371, 12, 15, 1 },     --Kodiak
      { 0.460, 0.335, 12, 15, 1 },     --Kodiak
      { 0.217, 0.422, 12, 16, 1 }, --Ancient Scrolls of the Dwemer IV   --Kodiak
      { 0.220, 0.400, 12, 16, 1 },     --Kodiak
      { 0.152, 0.426, 12, 16, 1 },     --bug #609
      --Literature
      { 0.285, 0.449, 14, 1, 1 }, --The Homilies of Blessed Almalexia   --bug #343
      { 0.369, 0.445, 14, 1, 1 },      --bug #476
      { 0.324, 0.427, 14, 1, 1 },      --bug #826
      { 0.283, 0.353, 14, 1, 1 },
      { 0.276, 0.482, 14, 2, 1 }, --The Legendary Scourge      --bug #368
      { 0.300, 0.546, 14, 2, 1 },      --bug #394
      { 0.349, 0.493, 14, 2, 1 },      --Kodiak
      { 0.281, 0.522, 14, 2, 1 },
      { 0.282, 0.623, 14, 3, 1 }, --The Lusty Argonian Maid, Volume 1
      { 0.252, 0.558, 14, 3, 1 },      --Kodiak
      { 0.314, 0.592, 14, 3, 1 },      --bug #667
      { 0.267, 0.653, 14, 4, 1 }, --The Lusty Argonian Maid, Volume 2   --bug #394
      { 0.240, 0.660, 14, 4, 1 },      --Kodiak
      { 0.241, 0.743, 14, 4, 1 },      --Kodiak
      { 0.266, 0.713, 14, 4, 1 },      --bug #609
      { 0.305, 0.807, 14, 5, 1 }, --Myths of Sheogorath, Volume 1    --bug #418,450
      { 0.230, 0.793, 14, 5, 1 },      --Kodiak
      { 0.306, 0.874, 14, 5, 1 },      --Kodiak
      { 0.262, 0.850, 14, 5, 1 },      --addon comment
      { 0.329, 0.725, 14, 6, 1 }, --Myths of Sheogorath, Volume 2    --bug #448
      { 0.373, 0.800, 14, 6, 1 },      --Kodiak
      { 0.295, 0.736, 14, 6, 1 },      --Kodiak
      { 0.356, 0.762, 14, 6, 1 },
      { 0.468, 0.564, 14, 7, 1, 1 }, --The Red Book of Riddles   --bug #414
      { 0.462, 0.494, 14, 7, 1 },      --addon comment, bug #495
      { 0.446, 0.618, 14, 8, 1 }, --16 Accords of Madness, Vol. VI   --bug #476
      { 0.464, 0.655, 14, 8, 1 },      --Kodiak
      { 0.415, 0.645, 14, 8, 1 },      --bug #495
      { 0.390, 0.664, 14, 9, 1 }, --Crow and Raven: Three Short Fables --bug #261
      { 0.331, 0.689, 14, 9, 1 },      --bug #445
      { 0.343, 0.607, 14, 9, 1 },      --Kodiak
      { 0.316, 0.660, 14, 9, 1 },      --bug #609
      { 0.426, 0.789, 14, 10, 1 }, --Wabbajack    --bug #418
      { 0.385, 0.734, 14, 10, 1 },     --bug #460
      { 0.485, 0.771, 14, 10, 1 },     --Kodiak
      { 0.442, 0.725, 14, 10, 1 },     --Kodiak
      --Poetry and Song
      { 0.320, 0.128, 18, 7, 1 }, --Proper-Life: Three Chants     --bug #374
      { 0.336, 0.206, 18, 7, 1 },      --bug #414,420
      { 0.284, 0.261, 18, 7, 1 },      --Kodiak
      { 0.466, 0.129, 18, 8, 1 }, --Song of the Askelde Men --bug #420
      { 0.481, 0.210, 18, 8, 1 },      --bug #476
      { 0.51, 0.17, 18, 8, 1, 1 },     --bug #667
      { 0.55, 0.19, 18, 9, 1, 1 }, --The Warrior's Charge    --bug #386
      { 0.56, 0.16, 18, 9, 1, 1 },     --bug #420
      { 0.278, 0.343, 18, 10, 1 }, --Words of the Wind      --bug #343
      { 0.331, 0.330, 18, 10, 1 },     --bug #476
      { 0.235, 0.341, 18, 10, 1 },
      --Dungeon Lore
      { 0.206, 0.795, 11, 15, false, 5 }, --Soul-Trapping I: An Introduction
   },
   ["arenthia_base"] = {
      --Poetry and Song
      { 0.157, 0.700, 18, 8, 1 }, --Song of the Askelde Men --bug #667
      { 0.459, 0.643, 18, 9, 1 }, --The Warrior's Charge    --bug #420
      { 0.429, 0.782, 18, 9, 1 },        --bug #386, Kodiak
   },
   ["dune_base"] = {
      --Reaper's March Lore
      { 0.480, 0.104, 28, 3 }, --Yours for the Taking!      --bug #826
      { 0.645, 0.229, 28, 4 }, --A Looter's Paradise        --bug #394,495
      { 0.312, 0.554, 28, 4 },      --bug #418
      { 0.605, 0.559, 28, 4 },      --Kodiak
      { 0.327, 0.228, 28, 6 }, --Elven Eyes, Elven Spies    --bug #394
      { 0.126, 0.350, 28, 6 },      --bug #495
   },
   ["rawlkha_base"] = {
      --Literature
      { 0.551, 0.611, 14, 7, 1 }, --The Red Book of Riddles --bug #414,420
      { 0.555, 0.323, 14, 7, 1 },   --addon comment
   },
   ["selenesweb_base"] = {
      --Dungeon Lore
      { 0.706, 0.916, 11, 15 }, --Soul-Trapping I: An Introduction
   },
}

lorebooksData["rivenspire"] = { --add all other lores
--Rivenspire (Daggerfall, lvl 25-30)
    ["rivenspire_base"] = {
      --Rivenspire Lore
      { 0.184, 0.664, 3, 1 }, --The Barrows of Westmark Moor
      { 0.183, 0.624, 3, 1 },
      { 0.147, 0.593, 3, 1 },       --bug #490
      { 0.707, 0.413, 3, 2 }, --The Story of Princess Eselde
      { 0.678, 0.411, 3, 2 },       --bug #490
      { 0.718, 0.375, 3, 2 },
      { 0.751, 0.382, 3, 2 },       --bug #771
      { 0.726, 0.327, 3, 3 }, --Bloodfiends of Rivenspire
      { 0.667, 0.332, 3, 3 },
      { 0.682, 0.301, 3, 3 },       --bug #755
      { 0.670, 0.381, 3, 3 },       --bug #797
      { 0.853, 0.308, 3, 4 }, --The Remnant of Light
      { 0.787, 0.328, 3, 4 },       --bug #383
      { 0.824, 0.355, 3, 4 },       --Kodiak
      { 0.826, 0.332, 3, 4 },       --Kodiak
      { 0.423, 0.399, 3, 5 }, --The Horse-Folk of Silverhoof
      { 0.387, 0.359, 3, 5 },       --bug #333
      { 0.397, 0.408, 3, 5 },       --bug #811
      { 0.388, 0.442, 3, 5 },
      { 0.472, 0.318, 3, 6 }, --Dire Legends of the Doomcrag
      { 0.349, 0.317, 3, 6 },       --Kodiak
      { 0.400, 0.304, 3, 6 },       --bug #787
      { 0.399, 0.331, 3, 6 },       --PM on ESOUI
      { 0.687, 0.258, 3, 7 }, --House Tamrith: A Recent History
      { 0.656, 0.229, 3, 7 },
      { 0.730, 0.229, 3, 7 },       --bug #490
      { 0.700, 0.215, 3, 7 },       --Kodiak
      { 0.727, 0.168, 3, 8, false, 1 }, --Shornhelm, Crown City of the North --bug #490
      { 0.687, 0.136, 3, 8 },
      { 0.708, 0.116, 3, 8 },
      { 0.680, 0.175, 3, 8 },       --bug #630, 643
      { 0.826, 0.169, 3, 9, false, 1 }, --Northpoint: An Assessment
      { 0.760, 0.221, 3, 9, false, 1 },     --Kodiak
      { 0.797, 0.194, 3, 9, false, 1 },     --Kodiak
      { 0.735, 0.258, 3, 10 }, --House Ravenwatch Proclamation
      { 0.724, 0.201, 3, 10 },      --Kodiak
      { 0.750, 0.152, 3, 10, 1 },
      { 0.810, 0.168, 3, 10, 1 },
      --Daedric Princes
      { 0.617, 0.686, 8, 5, 3 }, --Invocation of Azura
      { 0.650, 0.646, 8, 5, 3 },
      { 0.644, 0.679, 8, 5, 3 },       --Kodiak
      { 0.600, 0.632, 8, 5, 3 },       --Kodiak
      { 0.648, 0.589, 8, 6, 3 }, --Modern Heretics
      { 0.699, 0.646, 8, 6, 3 },       --bug #324
      { 0.639, 0.629, 8, 6, 3 },       --bug #642
      { 0.695, 0.621, 8, 6, 3 },       --Kodiak
      --Divines and Deities
      { 0.298, 0.634, 10, 7, 3 }, --Monomyth: The Heart of the World
      { 0.358, 0.690, 10, 7, 3 },      --bug #679
      { 0.367, 0.654, 10, 7, 3 },      --Kodiak
      { 0.306, 0.678, 10, 7, 3 },
      { 0.475, 0.676, 10, 8, 3 }, --Nine Commands of the Eight Divines
      { 0.482, 0.713, 10, 8, 3 },
      { 0.434, 0.689, 10, 8, 3 },
      { 0.418, 0.694, 10, 8, 3 },      --bug #939
      { 0.491, 0.605, 10, 9, 3 }, --Gods and Worship In Tamriel
      { 0.480, 0.658, 10, 9, 3 },
      { 0.422, 0.635, 10, 9, 3 },      --Kodiak
      --Dwemer
      { 0.40, 0.53, 12, 7, 3, 1 }, --Ancient Scrolls of the Dwemer XI --bug #490
      { 0.572, 0.688, 12, 8, 3 }, --Antecedents of Dwemer Law
      { 0.526, 0.670, 12, 8, 3 },
      { 0.511, 0.638, 12, 8, 3 },      --bug #325
      { 0.258, 0.507, 12, 9, 3 }, --Dwarven Automatons
      { 0.235, 0.564, 12, 9, 3 },      --bug #491
      { 0.201, 0.538, 12, 9, 3 },      --Kodiak
      { 0.273, 0.521, 12, 9, 3 },
      --Myths of the Mundus
      { 0.331, 0.557, 16, 6, 3 }, --The Firmament
      { 0.310, 0.516, 16, 6, 3 },      --bug #642
      { 0.333, 0.492, 16, 6, 3 },      --Kodiak
      { 0.800, 0.303, 16, 7, 3 }, --The Pig Children                 --bug #490
      { 0.748, 0.310, 16, 7, 3 },      --bug #643
      { 0.754, 0.261, 16, 7, 3, 1 },   --Kodiak
      { 0.827, 0.262, 16, 7, 3, 1 },   --Kodiak
      { 0.300, 0.575, 16, 8, 3 }, --Ruminations on the Elder Scrolls
      { 0.360, 0.625, 16, 8, 3 },      --bug #679
      { 0.339, 0.592, 16, 8, 3 },      --Kodiak
      { 0.307, 0.601, 16, 8, 3 },      --bug #686
      { 0.534, 0.584, 16, 9, 3 }, --Sithis
      { 0.539, 0.615, 16, 9, 3 },      --bug #642
      { 0.584, 0.616, 16, 9, 3 },      --bug #867
      --Oblivion Lore
      { 0.504, 0.561, 17, 1, 3 }, --The Book of Daedra
      { 0.557, 0.553, 17, 1, 3 },
      { 0.506, 0.510, 17, 1, 3 },      --Kodiak
      { 0.366, 0.426, 17, 2, 3 }, --Darkest Darkness                 --bug #375
      { 0.299, 0.363, 17, 2, 3 },      --Kodiak
      { 0.263, 0.651, 17, 3, 3 }, --The Doors of Oblivion, Part 1
      { 0.252, 0.642, 17, 3, 3 },
      { 0.271, 0.614, 17, 3, 3 },
      { 0.216, 0.611, 17, 3, 3 },      --bug #679
      { 0.579, 0.542, 17, 4, 3 }, --The Doors of Oblivion, Part 2
      { 0.630, 0.555, 17, 4, 3 },
      { 0.578, 0.570, 17, 4, 3, 1 },
      { 0.626, 0.514, 17, 5, 3 }, --On Oblivion
      { 0.600, 0.510, 17, 5, 3 },      --bug #324
      { 0.581, 0.479, 17, 5, 3 },      --bug #220
      { 0.575, 0.494, 17, 5, 3 },
      { 0.687, 0.670, 17, 6, 3 }, --Spirit of the Daedra
      { 0.689, 0.703, 17, 6, 3 },      --Kodiak
      { 0.706, 0.729, 17, 6, 3 },      --Kodiak
      { 0.711, 0.698, 17, 6, 3 },      --Kodiak
      { 0.633, 0.716, 17, 7, 3 }, --Varieties of Daedra, Part 1      --bug #326
      { 0.587, 0.740, 17, 7, 3 },      --bug #490
      { 0.599, 0.705, 17, 7, 3 },      --Kodiak
      { 0.616, 0.753, 17, 7, 3 },      --Kodiak
      { 0.598, 0.452, 17, 8, 3 }, --Varieties of Daedra, Part 2
      { 0.611, 0.439, 17, 8, 3 },      --Kodiak
      { 0.635, 0.474, 17, 8, 3 },      --Kodiak
      --Tamriel History
      { 0.677, 0.466, 19, 2, 3 }, --Frontier, Conquest               --Kodiak
      { 0.700, 0.450, 19, 2, 3 },      --Kodiak
      { 0.725, 0.450, 19, 2, 3 },      --Kodiak
      --Dungeon Lore
      {0.721, 0.736, 11, 3, false, 5 }, --The Thief God's Treasures     --bug #368
   },
   ["hoarfrost_base"] = {
      --Oblivion Lore
      { 0.386, 0.385, 17, 4, 3 }, --The Doors of Oblivion, Part 2    --bug #324
      { 0.400, 0.094, 17, 4, 3 },      --bug #643
      { 0.776, 0.694, 17, 4, 3 },      --bug #836,1088
   },
   ["shornhelm_base"] = {
      --The Trial of Eyevea
      { 0.259, 0.668, 7, 4, 3 }, --Circus of Cheerful Slaughter
      --Divines and Deities
      { 0.681, 0.633, 10, 10, 3 }, --Vivec and Mephala
      { 0.339, 0.736, 10, 10, 3 },     --bug #665, 679
      { 0.642, 0.648, 10, 10, 3 },     --bug #939
      --Dwemer
      { 0.307, 0.453, 12, 7, 3 }, --Ancient Scrolls of the Dwemer XI --bug #490
      { 0.418, 0.271, 12, 7, 3 },      --bug #580
      { 0.627, 0.309, 12, 7, 3 },      --bug #1012
      --Oblivion Lore
      { 0.979, 0.533, 17, 1, 3 }, --The Book of Daedra               --bug #642
   },
   ["northpoint_base"] = {
      --Rivenspire Lore
      { 0.087, 0.604, 3, 7 }, --House Tamrith: A Recent History      --bug #643
      { 0.072, 0.213, 3, 8 }, --Shornhelm, Crown City of the North   --bug #490
      { 0.708, 0.226, 3, 9 }, --Northpoint: An Assessment
      { 0.277, 0.560, 3, 9 },       --Kodiak
      { 0.519, 0.390, 3, 9 },       --Kodiak
      { 0.598, 0.602, 3, 9 },       --PM on ESOUI
      { 0.597, 0.214, 3, 10 }, --House Ravenwatch Proclamation
      { 0.213, 0.115, 3, 10 },      --bug #809
      --Myths of the Mundus
      { 0.243, 0.811, 16, 7, 3 }, --The Pig Children                 --bug #888
   },
   ["shroudedpass_base"] = {
      --Oblivion Lore
      { 0.183, 0.263, 17, 2, 3 }, --Darkest Darkness                 --bug #888
   },
   ["cryptofhearts_base"] = {
      { 0.457, 0.240, 11, 3 }, --The Thief God's Treasures           --bug #755,860
      { 0.678, 0.181, 11, 3 },      --bug #830
   },
}

lorebooksData["shadowfen"] = {
--Shadowfen (Ebonheart, lvl 25-30)
   ["shadowfen_base"] = {
      --Shadowfen Lore
      { 0.187, 0.748, 6, 1 }, --Suril's Journal
      { 0.177, 0.805, 6, 1 },       --Kodiak
      { 0.149, 0.820, 6, 1 },       --Kodiak
      { 0.093, 0.811, 6, 1 },       --PM on ESOUI
      { 0.605, 0.385, 6, 2 }, --The Right Mattock for the Job
      { 0.367, 0.638, 6, 2 },
      { 0.185, 0.826, 6, 2 },       --bug #826
      { 0.457, 0.836, 6, 3 }, --Dust's Shadow
      { 0.491, 0.744, 6, 3 },       --PM on Curse
      { 0.467, 0.775, 6, 3 },       --bug #595
      { 0.521, 0.837, 6, 3 },       --PM on ESOUI
      { 0.452, 0.650, 6, 4 }, --Remember Me
      { 0.445, 0.623, 6, 4 },
      { 0.480, 0.705, 6, 4 },       --addon comment
      { 0.419, 0.687, 6, 4 },       --PM on ESOUI
      { 0.302, 0.574, 6, 5 }, --Fair Argonian Maiden
      { 0.270, 0.609, 6, 5 },       --Kodiak
      { 0.166, 0.586, 6, 5 },
      { 0.274, 0.519, 6, 5 },
      { 0.307, 0.497, 6, 6 }, --A Shallow Pool
      { 0.372, 0.450, 6, 6 },       --Kodiak
      { 0.329, 0.523, 6, 6 },       --addon comment
      { 0.185, 0.658, 6, 7 }, --Freedom's Price
      { 0.257, 0.695, 6, 7 },       --bug #826
      { 0.193, 0.693, 6, 7 },
      { 0.236, 0.654, 6, 7 },       --PM on ESOUI
      { 0.425, 0.562, 6, 8 }, --A Mother's Nursery Rhyme
      { 0.380, 0.597, 6, 8 },       --addon comment, bug #536
      { 0.409, 0.494, 6, 8 },       --bug #924
      { 0.285, 0.676, 6, 9 }, --The Ruby Necklace
      { 0.384, 0.758, 6, 9 },
      { 0.385, 0.669, 6, 9 },       --addon comment
      { 0.330, 0.676, 6, 9 },
      { 0.529, 0.724, 6, 10 }, --On the Knahaten Flu     --bug #231
      { 0.553, 0.705, 6, 10 },      --Kodiak
      { 0.571, 0.654, 6, 10 },
      { 0.505, 0.659, 6, 10 },      --PM on ESOUI
      --The Trial of Eyevea
      { 0.44, 0.29, 7, 4, 2, 1 }, --Circus of Cheerful Slaughter
      --Daedric Princes
      { 0.679, 0.375, 8, 5, 2 }, --Invocation of Azura
      { 0.665, 0.407, 8, 5, 2 },
      { 0.630, 0.378, 8, 5, 2 },    --bug #724
      { 0.636, 0.429, 8, 5, 2 },
      { 0.605, 0.226, 8, 6, 2 }, --Modern Heretics
      { 0.527, 0.233, 8, 6, 2 },    --Kodiak
      { 0.622, 0.288, 8, 6, 2 },    --bug #782
      { 0.572, 0.265, 8, 6, 2 },
      --Divines and Deities
      { 0.450, 0.430, 10, 7, 2 }, --Monomyth: The Heart of the World
      { 0.409, 0.412, 10, 7, 2 },      --bug #313
      { 0.456, 0.377, 10, 7, 2 },      --bug #724
      { 0.560, 0.327, 10, 8, 2 }, --Nine Commands of the Eight Divines
      { 0.585, 0.359, 10, 8, 2 },
      { 0.519, 0.394, 10, 8, 2 },      --Kodiak
      { 0.208, 0.356, 10, 9, 2 }, --Gods and Worship In Tamriel
      { 0.284, 0.294, 10, 9, 2 },
      { 0.288, 0.341, 10, 9, 2 },      --bug #461
      { 0.272, 0.384, 10, 9, 2 },
      { 0.49, 0.27, 10, 10, 2, 1 }, --Vivec and Mephala
      { 0.444, 0.258, 10, 10, 2, 1 },  --Kodiak
      { 0.455, 0.303, 10, 10, 2, 1 },  --Kodiak
      --Dwemer
      { 0.352, 0.362, 12, 7, 2 }, --Ancient Scrolls of the Dwemer XI
      { 0.353, 0.305, 12, 7, 2 },
      { 0.335, 0.404, 12, 7, 2 },
      { 0.312, 0.317, 12, 7, 2 },      --bug #924
      { 0.451, 0.157, 12, 8, 2 }, --Antecedents of Dwemer Law --bug #456
      { 0.517, 0.185, 12, 8, 2 },      --bug #400
      { 0.488, 0.208, 12, 8, 2 },      --bug #826
      { 0.362, 0.182, 12, 9, 2 }, --Dwarven Automatons
      { 0.404, 0.201, 12, 9, 2 },
      { 0.367, 0.225, 12, 9, 2 },      --Kodiak
      { 0.305, 0.154, 12, 9, 2 },      --bug #724
      --Myths of the Mundus
      { 0.271, 0.244, 16, 6, 2 }, --The Firmament
      { 0.327, 0.255, 16, 6, 2 },
      { 0.247, 0.212, 16, 6, 2 },      --bug #595, 641, 645
--      { 0.787, 0.597, 16, 6, 2 },      --Esohead, but check it.
      { 0.553, 0.298, 16, 7, 2 }, --The Pig Children
      { 0.733, 0.445, 16, 8, 2 }, --Ruminations on the Elder Scrolls
      { 0.814, 0.421, 16, 8, 2 },
      { 0.836, 0.447, 16, 8, 2 },      --Kodiak
      { 0.769, 0.501, 16, 8, 2 },      --Kodiak
      { 0.848, 0.512, 16, 9, 2 }, --Sithis
      { 0.851, 0.595, 16, 9, 2 },
      { 0.786, 0.605, 16, 9, 2 },
      { 0.766, 0.563, 16, 9, 2 },      --addon comment
      --Oblivion Lore
      { 0.504, 0.519, 17, 1, 2 }, --The Book of Daedra
      { 0.532, 0.568, 17, 1, 2 },
      { 0.475, 0.543, 17, 1, 2 },
      { 0.609, 0.506, 17, 2, 2 }, --Darkest Darkness
      { 0.691, 0.502, 17, 2, 2 },      --Kodiak
      { 0.625, 0.529, 17, 2, 2 },      --Kodiak
      { 0.665, 0.647, 17, 3, 2, 1 }, --The Doors of Oblivion, Part 1
      { 0.543, 0.607, 17, 3, 2 },
      { 0.615, 0.623, 17, 3, 2 },
      { 0.581, 0.815, 17, 4, 2 }, --The Doors of Oblivion, Part 2
      { 0.672, 0.861, 17, 4, 2 },      --bug #826
      { 0.656, 0.812, 17, 4, 2 },
      { 0.703, 0.691, 17, 5, 2 }, --On Oblivion    --bug #461
      { 0.624, 0.721, 17, 5, 2 },      --bug #826
      { 0.590, 0.705, 17, 5, 2 },
      { 0.760, 0.775, 17, 6, 2 }, --Spirit of the Daedra
      { 0.770, 0.671, 17, 6, 2 },
      { 0.793, 0.714, 17, 6, 2 },      --bug #461
      { 0.827, 0.694, 17, 6, 2 },      --bug #826
      { 0.855, 0.777, 17, 7, 2 }, --Varieties of Daedra, Part 1
      { 0.894, 0.763, 17, 7, 2 },      --bug #742
      { 0.823, 0.783, 17, 7, 2 },      --bug #830
      { 0.780, 0.811, 17, 8, 2 }, --Varieties of Daedra, Part 2
      { 0.720, 0.817, 17, 8, 2 },      --Kodiak
      { 0.807, 0.828, 17, 8, 2 },      --addon comment
      { 0.727, 0.847, 17, 8, 2 },      --addon #826
      --Dungeon Lore
      { 0.165, 0.584, 11, 11, false, 5 }, --Arx Corinium - First Seed Report
   },
   ["stormhold_base"] = {
      --The Trial of Eyevea
      { 0.420, 0.655, 7, 4, 2 }, --Circus of Cheerful Slaughter
      --Divines and Deities
      { 0.768, 0.490, 10, 10, 2 }, --Vivec and Mephala
      { 0.441, 0.407, 10, 10, 2 },     --addon comment
      { 0.509, 0.691, 10, 10, 1 },     --PM on ESOUI
      --Dwemer
      { 0.710, 0.084, 12, 8, 2 }, --Antecedents of Dwemer Law  --bug #461, 597, 641, 645
      { 0.525, 0.138, 12, 8, 2 },      --addon comment, bug #830
      --Myths of the Mundus
      { 0.860, 0.678, 16, 7, 2 }, --The Pig Children
   },
   ["altencorimont_base"] = {
      --Oblivion Lore
      { 0.405, 0.821, 17, 3, 2 }, --The Doors of Oblivion, Part 1
      { 0.570, 0.592, 17, 3, 2 },      --addon comment
      { 0.153, 0.680, 17, 3, 2 },      --bug #724
   },
   ["arxcorinium_base"] = {
      --Dungeon Lore
      { 0.143, 0.315, 11, 11 }, --Arx Corinium  First Seed Report   --addon comment
   },
}

lorebooksData["stonefalls"] = {  --add all other lores
--Stonefalls (Ebonheart, lvl 5-15)
   ["stonefalls_base"] = {
      --Stonefalls Lore
      { 0.755, 0.647, 20, 1 }, --Ancestors and the Dunmer (Abridged)
      { 0.706, 0.622, 20, 1 },
      { 0.776, 0.584, 20, 1 },
      { 0.795, 0.620, 20, 1 },
      { 0.777, 0.555, 20, 2 }, --The Brothers of Strife
      { 0.770, 0.514, 20, 2 },
      { 0.820, 0.512, 20, 2 },
      { 0.348, 0.338, 20, 3 }, --The Great Houses and Their Uses
      { 0.325, 0.361, 20, 3 },
      { 0.315, 0.406, 20, 3 },
      { 0.229, 0.357, 20, 4 }, --Argonians Among Us
      { 0.226, 0.378, 20, 4 },
      { 0.168, 0.407, 20, 4 },
      { 0.57, 0.51, 20, 5, false, 1 }, --Nords of Skyrim
      { 0.354, 0.512, 20, 6 }, --Mottos of the Dunmeri Great Houses
      { 0.393, 0.468, 20, 6 },
      { 0.282, 0.492, 20, 6 },
      { 0.284, 0.290, 20, 7 }, --Varieties of Faith: The Argonians
      { 0.283, 0.262, 20, 7 },
      { 0.245, 0.233, 20, 7 },
      { 0.225, 0.207, 20, 7 },
      { 0.547, 0.699, 20, 8 }, --Varieties of Faith: The Dark Elves
      { 0.632, 0.693, 20, 8 },
      { 0.651, 0.687, 20, 8 },         --bug #1026
      { 0.166, 0.365, 20, 9 }, --Varieties of Faith: The Nords
      { 0.192, 0.363, 20, 9 },
      { 0.200, 0.319, 20, 9 },
      { 0.202, 0.293, 20, 9 },
      { 0.146, 0.569, 20, 10 }, --Guide to the Ebonheart Pact
      { 0.135, 0.605, 20, 10 },
      { 0.181, 0.583, 20, 10 },
      { 0.186, 0.593, 20, 10 },        --bug #1195
      --Daedric Princes
      { 0.859, 0.430, 8, 1, 2 }, --Aedra and Daedra
      { 0.808, 0.380, 8, 1, 2 },
      { 0.820, 0.404, 8, 1, 2 },
      { 0.788, 0.431, 8, 1, 2 },
      { 0.575, 0.572, 8, 2, 2 }, --Boethiah's Proving
      { 0.585, 0.605, 8, 2, 2 },
      { 0.580, 0.588, 8, 2, 2 },
      { 0.583, 0.594, 8, 2, 2, 2 }, --(Mephala's Nest)
      --Biographies
      { 0.470, 0.601, 9, 1, 2 }, --Galerion the Mystic
      { 0.446, 0.593, 9, 1, 2 },
      { 0.499, 0.614, 9, 1, 2 },
      { 0.498, 0.583, 9, 1, 2 },
      { 0.269, 0.671, 9, 2, 2 }, --Great Harbingers of the Companions
      { 0.305, 0.677, 9, 2, 2 },
      { 0.288, 0.621, 9, 2, 2 },
      { 0.297, 0.635, 9, 2, 2 },
      { 0.251, 0.503, 9, 3, 2 }, --The Illusion of Death
      { 0.275, 0.578, 9, 3, 2 },
      { 0.219, 0.554, 9, 3, 2 },
      { 0.290, 0.558, 9, 3, 2, 2 }, --(Hightide Hollow)
      { 0.930, 0.410, 9, 4, 2 }, --Jorunn the Skald-King
      { 0.896, 0.436, 9, 4, 2 },
      { 0.947, 0.467, 9, 4, 2 },
      { 0.90, 0.38, 9, 4, 2, 1 },
      { 0.412, 0.543, 9, 5, 2 }, --Triumphs of a Monarch, Ch. 3
      { 0.414, 0.440, 9, 5, 2 },
      { 0.429, 0.475, 9, 5, 2 },
      { 0.434, 0.445, 9, 5, 2 },
      { 0.779, 0.349, 9, 6, 2 }, --Triumphs of a Monarch, Ch. 6
      { 0.698, 0.357, 9, 6, 2 },
      { 0.769, 0.389, 9, 6, 2 },
      { 0.78, 0.31, 9, 6, 2, 1 },
      { 0.180, 0.210, 9, 7, 2 }, --Triumphs of a Monarch, Ch. 10
      { 0.205, 0.204, 9, 7, 2 },
      { 0.173, 0.226, 9, 7, 2 },       --comment in bug #220
      { 0.153, 0.199, 9, 7, 2 },       --bug #687
      { 0.228, 0.497, 9, 8, 2 }, --Trials of St. Alessia
      { 0.202, 0.458, 9, 8, 2 },       --bug #545
      { 0.200, 0.482, 9, 8, 2 },       --bug #788
      --Divines and Deities
      { 0.379, 0.593, 10, 1, 2 }, --The Anuad Paraphrased
      { 0.326, 0.584, 10, 1, 2 },
      { 0.337, 0.578, 10, 1, 2 },
      { 0.345, 0.559, 10, 1, 2 },
      { 0.168, 0.486, 10, 2, 2 }, --The Lunar Lorkhan
      { 0.122, 0.453, 10, 2, 2 },
      { 0.390, 0.370, 10, 3, 2 }, --Monomyth: Dragon God & Missing God
      { 0.376, 0.376, 10, 3, 2 },
      { 0.361, 0.408, 10, 3, 2 },
      { 0.358, 0.449, 10, 3, 2, 2 },   --bug #664 (Softloam Cavern)
      --Dungeon Lore
      { 0.094, 0.447, 11, 1, false, 5 }, --With Regards to the Ebony Blade
      --Dwemer
      { 0.656, 0.373, 12, 1, 2 }, --Ancient Scrolls of the Dwemer I-A
      { 0.688, 0.367, 12, 1, 2 },
      { 0.606, 0.407, 12, 1, 2 },
      { 0.717, 0.393, 12, 1, 2, 2 }, --(Inner Sea Armature)
      { 0.720, 0.530, 12, 2, 2 }, --Ancient Scrolls of the Dwemer II
      { 0.755, 0.505, 12, 2, 2 },
      { 0.680, 0.530, 12, 2, 2 },
      { 0.339, 0.718, 12, 3, 2 }, --Ancient Scrolls of the Dwemer III
      { 0.338, 0.675, 12, 3, 2 },
      --Tamriel History
      { 0.651, 0.559, 19, 1, 2 }, --Ayleid Inscriptions Translated
      { 0.609, 0.496, 19, 1, 2 },
      { 0.595, 0.463, 19, 1, 2 },
      { 0.474, 0.637, 19, 2, 2 }, --Frontier, Conquest
      { 0.484, 0.720, 19, 2, 2 },
      { 0.383, 0.745, 19, 2, 2 },
      { 0.495, 0.670, 19, 2, 2 },
      { 0.526, 0.362, 19, 3, 2 }, --History of the Fighters Guild Pt. 1
      { 0.552, 0.339, 19, 3, 2 },
      { 0.544, 0.371, 19, 3, 2 },
      { 0.24, 0.65, 19, 4, 2, 1 }, --History of the Fighters Guild Pt. 2
      { 0.85, 0.32, 19, 5, 2, 1 }, --Origin of the Mages Guild
   },
   ["davonswatch_base"] = {
      --Biographies
      { 0.708, 0.665, 9, 4, 2 }, --Jorunn the Skald-King
      { 0.687, 0.962, 9, 4, 2 },
      { 0.859, 0.830, 9, 4, 2 },
      { 0.117, 0.332, 9, 6, 2 }, --Triumphs of a Monarch, Ch. 6
      --Daedric Princes
      { 0.256, 0.679, 8, 1, 2 }, --Aedra and Daedra
      { 0.504, 0.931, 8, 1, 2 },    --bug #597
      --Tamriel History
      { 0.799, 0.395, 19, 5, 2 }, --Origin of the Mages Guild
      { 0.464, 0.409, 19, 5, 2 },
      { 0.634, 0.592, 19, 5, 2 },
   },
   ["ebonheart_base"] = {
      --Stonefalls Lore
      { 0.632, 0.579, 20, 5 }, --Nords of Skyrim
      { 0.455, 0.755, 20, 5 },
      { 0.535, 0.535, 20, 5 },
      { 0.272, 0.396, 20, 5 },
   },
   ["kragenmoor_base"] = {
      --Tamriel History
      { 0.515, 0.367, 19, 4, 2 }, --History of the Fighters Guild Pt. 2
      { 0.597, 0.623, 19, 4, 2 },
      { 0.702, 0.497, 19, 4, 2 },
      { 0.257, 0.524, 19, 4, 2 },
   },
   ["hightidehollow_base"] = {
      --Biographies
      { 0.140, 0.328, 9, 3, 2 }, --The Illusion of Death  (Update 6)
   },
   ["innerseaarmature_base"] = {
      --Dwemer
      { 0.539, 0.229, 12, 1, 2 }, --Ancient Scrolls of the Dwemer I-A  (Update 6)
   },
   ["mephalasnest_base"] = {
      --Daedric Princes
      { 0.564, 0.290, 8, 2, 2 }, --Boethiah's Proving (Update 6)
   },
   ["softloamcavern_base"] = {
      --Divines and Deities
      { 0.428, 0.435, 10, 3, 2 }, --Monomyth: Dragon God & Missing God (Update 6)
   },
   ["fungalgrotto_base"] = {
      --Dungeon Lore
      { 0.331, 0.785, 11, 1 }, --With Regards to the Ebony Blade
   },
}

lorebooksData["stormhaven"] = {
--Stormhaven (Daggerfall, lvl 16-23)
   ["stormhaven_base"] = {
      --Stormhaven Lore
      { 0.245, 0.198, 2, 1 }, --Once
      { 0.179, 0.232, 2, 1, false, 1 },
      { 0.212, 0.225, 2, 1, false, 1 },
      { 0.180, 0.472, 2, 2 }, --Founding of the Spirit Wardens
      { 0.202, 0.441, 2, 2 },
      { 0.166, 0.510, 2, 3 }, --The Knightly Orders of High Rock
      { 0.200, 0.594, 2, 3 },
      { 0.181, 0.620, 2, 3 },
      { 0.135, 0.580, 2, 3 },       --PM on ESOUI
      { 0.262, 0.299, 2, 4 }, --The Bretons: Mongrels or Paragons?
      { 0.310, 0.350, 2, 4 },
      { 0.320, 0.316, 2, 4 },
      { 0.299, 0.286, 2, 4 },
      { 0.382, 0.390, 2, 5 }, --Sacred Rites of the Stonechewers
      { 0.556, 0.417, 2, 5 },
      { 0.329, 0.374, 2, 5 },
      { 0.349, 0.349, 2, 5 },       --bug #580
      { 0.369, 0.352, 2, 5 },       --PM on ESOUI
      { 0.272, 0.434, 2, 6 }, --Orcs: The Vermin Among Us
      { 0.360, 0.423, 2, 6 },
      { 0.323, 0.471, 2, 6 },
      { 0.279, 0.493, 2, 7 }, --Our Calling, Our Pledge
      { 0.251, 0.489, 2, 7 },
      { 0.214, 0.536, 2, 7 },
      { 0.281, 0.529, 2, 7 },       --PM on ESOUI
      { 0.303, 0.588, 2, 8 }, --To Dream Beyond Dreams
      { 0.273, 0.656, 2, 8 },
      { 0.333, 0.663, 2, 8 },
      { 0.302, 0.635, 2, 8 },
--    { 0.186, 0.307, 2, 8 },       --bug #467, not a lorebook?
      { 0.376, 0.651, 2, 9 }, --Tower of Adamant
      { 0.395, 0.594, 2, 9 },
      { 0.354, 0.565, 2, 9 },
      { 0.341, 0.608, 2, 9 },
      { 0.236, 0.275, 2, 10 }, --Wayrest, Jewel of the Bay
      { 0.208, 0.298, 2, 10 },
      { 0.17, 0.28, 2, 10, false, 1 },
      --Daedric Princes
      { 0.261, 0.413, 8, 3, 3 }, --The Dreamstride
      { 0.256, 0.362, 8, 3, 3 },
      { 0.236, 0.328, 8, 3, 3 },
      { 0.256, 0.391, 8, 3, 3 },    --bug #1071
      { 0.147, 0.335, 8, 4, 3 }, --The House of Troubles
      { 0.161, 0.303, 8, 4, 3 },
      { 0.149, 0.348, 8, 4, 3 },
      --Divines and Deities
      { 0.50, 0.58, 10, 4, 3, 1 }, --Monomyth: Lorkhan and Satakal
      { 0.476, 0.633, 10, 6, 3 }, --Monomyth: The Myth of Aurbis
      { 0.446, 0.607, 10, 6, 3 },      --bug #350
      --Dungeon Lore
      { 0.562, 0.577, 11, 9, false, 5 }, --Wayrest Sewers: A Short History
      --Dwemer
      { 0.461, 0.491, 12, 4, 3 }, --Ancient Scrolls of the Dwemer V
      { 0.408, 0.510, 12, 4, 3 },
      { 0.486, 0.511, 12, 4, 3 },
      { 0.417, 0.414, 12, 5, 3 }, --Ancient Scrolls of the Dwemer VI
      { 0.416, 0.458, 12, 5, 3 },
      { 0.449, 0.415, 12, 5, 3 },
      { 0.538, 0.347, 12, 6, 3 }, --Ancient Scrolls of the Dwemer X
      { 0.422, 0.352, 12, 6, 3 },      --bug #488
      { 0.485, 0.358, 12, 6, 3 },
      --Magic and Magica
      { 0.418, 0.547, 15, 1, 3 }, --Arcana Restored
      { 0.435, 0.582, 15, 1, 3 },
      { 0.461, 0.553, 15, 1, 3 },
      { 0.667, 0.366, 15, 2, 3 }, --Liminal Bridges
      { 0.654, 0.347, 15, 2, 3 },
      { 0.641, 0.391, 15, 2, 3 },      --bug #580
      { 0.672, 0.395, 15, 2, 3 },
      { 0.736, 0.437, 15, 3, 3 }, --Magic from the Sky
      { 0.716, 0.450, 15, 3, 3 },      --bug #888
      { 0.775, 0.412, 15, 4, 3 }, --Manual of Spellcraft
      { 0.773, 0.447, 15, 4, 3 },      --bug #642
      { 0.805, 0.428, 15, 4, 3 },
      { 0.812, 0.459, 15, 5, 3 }, --The Old Ways
      { 0.738, 0.472, 15, 5, 3 },
      { 0.785, 0.495, 15, 5, 3 },
      { 0.654, 0.592, 15, 6, 3 }, --On the Detachment of the Sheath
      { 0.659, 0.539, 15, 6, 3 },      --bug #433
      { 0.683, 0.599, 15, 6, 3 },      --bug #490
      { 0.692, 0.558, 15, 6, 3 },      --PM on reddit
      { 0.744, 0.507, 15, 7, 3 }, --Reality and Other Falsehoods
      { 0.703, 0.514, 15, 7, 3 },
      { 0.746, 0.541, 15, 7, 3 },
      { 0.781, 0.539, 15, 7, 3 },      --bug #490
      { 0.839, 0.464, 15, 8, 3 }, --Guild Memo on Soul Trapping
      { 0.884, 0.449, 15, 8, 3 },      --bug #815
      { 0.878, 0.442, 15, 8, 3 },      --bug #939
      { 0.885, 0.498, 15, 8, 3 },      --PM on reddit
      --Myths of the Mundus
      { 0.527, 0.384, 16, 1, 3 }, --Before the Ages of Man: Dawn Era
      { 0.495, 0.403, 16, 1, 3 },
      { 0.532, 0.460, 16, 2, 3 }, --Before the Ages of Man: Merethic Era
      { 0.574, 0.501, 16, 2, 3 },
      { 0.587, 0.463, 16, 2, 3 },      --bug #836
      { 0.553, 0.376, 16, 3, 3 }, --Ebony Blade History
      { 0.571, 0.368, 16, 3, 3 },
      { 0.605, 0.422, 16, 3, 3 },
      { 0.618, 0.363, 16, 3, 3 },      --bug #1224
      { 0.695, 0.425, 16, 4, 3 }, --Noxiphilic Sanguivoria
      { 0.686, 0.464, 16, 4, 3 },
      { 0.629, 0.514, 16, 5, 3 }, --A Werewolf's Confession
      { 0.647, 0.484, 16, 5, 3 },
      { 0.700, 0.493, 16, 5, 3 },
      { 0.655, 0.510, 16, 5, 3 },      --bug #490
   },
   ["alcairecastle_base"] = {
      --Stormhaven Lore
      { 0.603, 0.351, 2, 1 }, --Once
      { 0.863, 0.293, 2, 1 },
      { 0.770, 0.593, 2, 10 }, --Wayrest, Jewel of the Bay
      { 0.496, 0.753, 2, 10 },
   },
   ["koeglinvillage_base"] = {
      --Stormhaven Lore
      { 0.245, 0.672, 2, 2 }, --Founding of the Spirit Wardens
      { 0.525, 0.303, 2, 2 },          --addon comment, bug #941
   },
   ["wayrest_base"] = {
      --Divines and Deities
      { 0.226, 0.410, 10, 4, 3 }, --Monomyth: Lorkhan and Satakal
      { 0.610, 0.298, 10, 4, 3 },
      { 0.308, 0.212, 10, 4, 3 },      --bug #971
      { 0.465, 0.564, 10, 5, 3 }, --Monomyth: "Shezarr's Song"       --bug #580
      { 0.827, 0.374, 10, 5, 3 },      --bug #614
      { 0.075, 0.660, 10, 6, 3 }, --Monomyth: The Myth of Aurbis     --bug #939
      --Magic and Magica
      { 0.215, 0.096, 15, 1, 3 }, --Arcana Restored                  --bug #938
      { 0.970, 0.454, 15, 6, 3 }, --On the Detachment of the Sheath  --bug #939
      --Myths of the Mundus
      { 0.361, 0.080, 16, 2, 3 }, --Before the Ages of Man: Merethic Era   --bug #478,488
   },
   ["wayrestsewers_base"] = {
      --Dungeon Lore
      { 0.830, 0.100, 11, 9 }, --Wayrest Sewers: A Short History
   },
}

lorebooksData["therift"] = {
--The Rift (Ebonheart, lvl 37-43)
   ["therift_base"] = {
      --The Rift Lore
      { 0.497, 0.291, 24, 1 }, --Songs of the Return, Volume 49
      { 0.482, 0.280, 24, 1 },      --Kodiak
      { 0.510, 0.333, 24, 1 },      --bug #283
      { 0.589, 0.344, 24, 2 }, --Songs of the Return, Volume 27
      { 0.582, 0.268, 24, 2 },      --bug #505
      { 0.617, 0.285, 24, 2, false, 2 }, --addon comment
      { 0.646, 0.275, 24, 2 },      --PM on ESOUI
      { 0.619, 0.522, 24, 3 }, --The Wandering Skald
      { 0.543, 0.532, 24, 3 },      --bug #239
      { 0.558, 0.502, 24, 3 },      --Kodiak
      { 0.586, 0.488, 24, 3 },      --addon comment
      { 0.834, 0.534, 24, 4 }, --Thenephan's Mysteries of Mead
      { 0.836, 0.571, 24, 4 },      --bug #377
      { 0.851, 0.524, 24, 4 },      --private message on ESOUI
      { 0.849, 0.521, 24, 4 },      --private message on ESOUI
      { 0.412, 0.530, 24, 5 }, --Unexpected Allies
      { 0.390, 0.438, 24, 5 },      --bug #234
      { 0.365, 0.474, 24, 5 },      --PM on ESOUI
      { 0.433, 0.478, 24, 5 },      --PM on ESOUI
      { 0.512, 0.550, 24, 6 }, --The Road to Sovngarde   --bug #366
      { 0.510, 0.601, 24, 6 },      --bug #238
      { 0.476, 0.603, 24, 6 },      --Kodiak
      { 0.475, 0.557, 24, 6 },      --Kodiak
      { 0.183, 0.407, 24, 7 }, --Songs of the Return, Volume 5    --bug #472
      { 0.197, 0.421, 24, 7 },      --Kodiak
      { 0.201, 0.392, 24, 7 },      --Kodiak
      { 0.212, 0.403, 24, 7 },      --PM on ESOUI
      { 0.376, 0.316, 24, 8 }, --Touch of the Worm's Tongue       --bug #395
      { 0.488, 0.401, 24, 8 },      --Kodiak
      { 0.444, 0.353, 24, 8 },      --bug #484
      { 0.470, 0.432, 24, 8 },      --PM on ESOUI
      { 0.685, 0.515, 24, 9, false, 1 }, --Rivers of Profit in Riften
      { 0.721, 0.509, 24, 9, false, 1 },
      { 0.655, 0.311, 24, 10, false, 1 }, --Clans of the Reach: A Guide
      { 0.670, 0.289, 24, 10, false, 1 },
      --Dwemer
      { 0.734, 0.401, 12, 13, 2 }, --Dwemer Inquiries Volume I    --bug #277
      { 0.718, 0.404, 12, 13, 2, 2 },  --bug #395
      { 0.773, 0.397, 12, 13, 2 },  --Kodiak
      { 0.393, 0.562, 12, 14, 2 }, --Dwemer Inquiries Volume II
      { 0.398, 0.577, 12, 14, 2 },     --bug #484
      { 0.419, 0.567, 12, 14, 2 },     --bug #387
      { 0.385, 0.574, 12, 14, 2, 2 },  --bug #613
      { 0.716, 0.665, 12, 15, 2 }, --Dwemer Inquiries Volume III  --bug #245
      { 0.736, 0.635, 12, 15, 2 },     --bug #395
      { 0.361, 0.524, 12, 15, 2 },     --Kodiak
      { 0.654, 0.618, 12, 15, 2 },     --Kodiak
      { 0.370, 0.263, 12, 16, 2 }, --Ancient Scrolls of the Dwemer IV   --bug #472
      { 0.294, 0.270, 12, 16, 2 },     --addon comment
      --Legends of Nirn
      { 0.07, 0.483, 13, 9, 2 }, --Tamrielic Artifacts, Part Two  --bug #389
      --Literature
      { 0.923, 0.623, 14, 1, 2 }, --The Homilies of Blessed Almalexia   --bug #377
      { 0.898, 0.587, 14, 1, 2 },      --bug #395
      { 0.859, 0.592, 14, 1, 2 },      --Kodiak
      { 0.110, 0.451, 14, 2, 2 }, --The Legendary Scourge         --bug #404
      { 0.130, 0.411, 14, 2, 2 },      --bug #484
      { 0.789, 0.502, 14, 3, 2 }, --The Lusty Argonian Maid, Volume 1   --bug #472
      { 0.821, 0.489, 14, 3, 2 },      --Kodiak
      { 0.777, 0.450, 14, 3, 2 },      --Kodiak
      { 0.685, 0.375, 14, 4, 2 }, --The Lusty Argonian Maid, Volume 2   --bug #505
      { 0.645, 0.369, 14, 4, 2 },      --bug #276
      { 0.647, 0.404, 14, 4, 2 },      --bug #484
      { 0.80, 0.62, 14, 5, 2 }, --Myths of Sheogorath, Volume 1
      { 0.836, 0.613, 14, 5, 2 },      --bug #472
      { 0.783, 0.602, 14, 5, 2, 2 },   --bug #613
      { 0.157, 0.448, 14, 6, 2 }, --Myths of Sheogorath, Volume 2 --bug #225
      { 0.164, 0.475, 14, 6, 2 },      --Kodiak
      { 0.180, 0.479, 14, 6, 2 },      --bug #484
      { 0.209, 0.463, 14, 6, 2 },
      { 0.191, 0.335, 14, 7, 2 }, --The Red Book of Riddles       --bug #220
      { 0.251, 0.273, 14, 7, 2 },      --Kodiak
      { 0.198, 0.310, 14, 7, 2 },      --Kodiak
      { 0.157, 0.262, 14, 7, 2 },      --bug #484
      { 0.658, 0.574, 14, 8, 2 }, --16 Accords of Madness, Vol. VI
      { 0.719, 0.559, 14, 8, 2 },      --bug #1268
      { 0.082, 0.237, 14, 9, 2 }, --Crow and Raven: Three Short Fables
      { 0.083, 0.273, 14, 9, 2 },      --bug #472
      { 0.120, 0.322, 14, 9, 2 },      --Kodiak
      { 0.092, 0.296, 14, 9, 2 },      --Kodiak
      { 0.317, 0.423, 14, 10, 2 }, --Wabbajack
      { 0.371, 0.388, 14, 10, 2 },     --Kodiak
      { 0.329, 0.435, 14, 10, 2 },     --Kodiak
      --Potery and Song
      { 0.259, 0.413, 18, 7, 2, 1 }, --Proper-Life: Three Chants  --Kodiak
      { 0.233, 0.392, 18, 7, 2, 1 },   --Kodiak
      { 0.504, 0.443, 18, 8, 2 }, --Song of the Askelde Men
      { 0.498, 0.471, 18, 8, 2 },
      { 0.519, 0.470, 18, 8, 2 },      --bug #484
      { 0.531, 0.403, 18, 9, 2 }, --The Warrior's Charge
      { 0.498, 0.367, 18, 9, 2 },
      { 0.862, 0.630, 18, 10, 2 }, --Words of the Wind
      { 0.806, 0.680, 18, 10, 2 },     --bug #613
      { 0.806, 0.684, 18, 10, 2, 2 },  --addon comment
      --Dungeon Lore
      { 0.891, 0.646, 11, 17, false, 5 }, --Josef the Intolerant
   },
   ["riften_base"] = {
      --The Rift Lore
      { 0.552, 0.677, 24, 9 }, --Rivers of Profit in Riften
      { 0.813, 0.634, 24, 9 },      --bug #484
      { 0.298, 0.551, 24, 9 },      --PM on ESOUI
   },
   ["shorsstone_base"] = {
      --The Rift Lore
      { 0.354, 0.586, 24, 10 }, --Clans of the Reach: A Guide
      { 0.451, 0.434, 24, 10 },     --bug #393
      { 0.566, 0.540, 24, 10 },     --bug #505
   },
   ["nimalten_base"] = {
      --Poetry and Song
      { 0.494, 0.523, 18, 7, 2 }, --Proper-Life: Three Chants     --bug #226
      { 0.606, 0.619, 18, 7, 2 },   --bug #472
      { 0.582, 0.380, 18, 7, 2 },   --bug #484
      { 0.443, 0.489, 18, 7, 2 },   --bug #613
   },
   ["avancheznel_base"] = {
      --Dwemer
      { 0.722, 0.506, 12, 14, 2 }, --Dwemer Inquiries Volume II   --bug #613
   },
   ["brokenhelm_base"] = {
      --Literature
      { 0.305, 0.582, 14, 5, 2 }, --Myths of Sheogorath, Volume 1
   },
   ["ebonmeretower_base"] = {
      --Poetry and Song
      { 0.342, 0.378, 18, 8, 2 }, --Song of the Askelde Men       --bug #697
   },
   ["fallowstonevault_base"] = {
      --The Rift Lore
      { 0.101, 0.448, 24, 2 }, --Songs of the Return, Volume 27   --modified because of bug #1023
   },
   ["forelhost_base"] = {
      --Literature
      { 0.281, 0.613, 14, 5, 2 }, --Myths of Sheogorath, Volume 1 --bug #613
   },
   ["fortgreenwall_base"] = {
      --Dwemer
      { 0.460, 0.586, 12, 13, 2 }, --Dwemer Inquiries Volume I
   },
   ["snaplegcave_base"] = {
      --Dwemer
      { 0.74, 0.59, 12, 16, 2 }, --Ancient Scrolls of Dwemer IV
   },
   ["trolhettacave_base"] = {
      -- Poetry and Song
      { 0.502, 0.261, 18, 10, 2 }, --Words of the Wind
   },
   ["blessedcrucible2_base"] = { --I'm not sure which number is correct, all maps looks the same.
      --Dungeon Lore
      { 0.240, 0.443, 11, 17 }, --Josef the Intolerant
   },
   ["blessedcrucible4_base"] = {
      { 0.240, 0.443, 11, 17 }, --Josef the Intolerant
   },
   ["blessedcrucible5_base"] = {
      { 0.240, 0.443, 11, 17 }, --Josef the Intolerant
   },
   ["blessedcrucible6_base"] = {
      { 0.240, 0.443, 11, 17 }, --Josef the Intolerant
   },
   ["blessedcrucible7_base"] = {
      { 0.240, 0.443, 11, 17 }, --Josef the Intolerant
   },
}

lorebooksData["guildmaps"] = {
   --Fighters guild maps
   ["abagarlas_base"] = {
      --Coldharbour Lore
      { 0.247, 0.548, 29, 1 }, --Exegesis of Merid-Nunda
   },
   ["mzendeldt_base"] = {
      --Coldharbour Lore
      { 0.39, 0.92, 29, 2 }, --The Whithering of Delodiil
   },
   ["chateaumasterbedroom_base"] = {
      --The Trial of Eyevea
      { 0.422, 0.482, 7, 2 }, --A Gift of Sanctuary
--       { 0.425, 0.479, 7, 2 }, --400
--       { 0.416, 0.473, 7, 2 }, --461
--       { 0.416, 0.485, 7, 2 }, --495
--       { 0.416, 0.492, 7, 2 }, --addon comment
--       { 0.416, 0.472, 7, 2 }, --716
   },
   ["circusofcheerfulslaughter_base"] = {
      --The Trial of Eyevea
      { 0.279, 0.699, 7, 3 }, --Robier's Vegetable Garden
--       { 0.272, 0.709, 7, 3 },    --bug #431
--       { 0.287, 0.689, 7, 3 },    --bug #830
--       { 0.288, 0.689, 7, 3 },    --bug #836
   },
   ["gladeofthedivineshivering_base"] = {
      --The Trial of Eyevea
      { 0.516, 0.561, 7, 4 }, --Circus of Cheerful Slaughter
   },
   ["cheesemongershollow_base"] = {
      --The Trial of Eyevea
      { 0.790, 0.253, 7, 1 }, --How the Kwama Lost His Shoes   --bug #778,964
   },
}

lorebooksData["main"] = { --need some work
   --Main quest maps
}


--Global API
function LoreBooks_GetLocalData(zone, subzone)
   if type(zone) == "string" and type(subzone) == "string" and lorebooksData[zone] and lorebooksData[zone][subzone] then
      return lorebooksData[zone][subzone]
   end
end

function LoreBooks_GetAllData()
   return lorebooksData
end

function LoreBooks_SetLocalData(zone, subzone, data)
   if type(zone) == "string" and type(subzone) == "string" and type(data) == "table" then
      lorebooksData[zone] = lorebooksData[zone] or {}
      lorebooksData[zone][subzone] = lorebooksData[zone][subzone] or {}
      table.insert(lorebooksData[zone][subzone], data)
   end
end
